# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2016-2023
#

input highestLength = 15;
input adxLength = 14;
input adxLevel = 40.0;
input offset = 0.50;

def adx = reference ADX(length = adxLength);
def dailyHigh = high(period = AggregationPeriod.DAY);
def isNewHigh = dailyHigh == Highest(high(period = AggregationPeriod.DAY), highestLength);
def buy = adx crosses above adxLevel and isNewHigh;
def buyCount = if !IsNaN(buy)
    then if buy then buyCount[1] + 1 else buyCount[1]
    else buyCount[1];
def stopPrice = if buy then dailyHigh + offset else stopPrice[1];
def stopCondition = high > stopPrice;
def stopTriggerNumber = if !IsNaN(stopPrice)
    then if stopCondition then buyCount else stopTriggerNumber[1]
    else 0;

AddOrder(OrderType.BUY_AUTO, stopCondition and stopTriggerNumber != stopTriggerNumber[1], tickColor = GetColor(0), arrowColor = GetColor(0));
