# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2016-2023
#

input length = 14;
input lag = 12;
input averageLength = 50;
input trendLevel = 30.0;
input maxLevel = 42.0;
input critLevel = 22.0;
input mult = 1.8;
input averageType = AverageType.SIMPLE;

def ma = MovingAverage(averageType, close, averageLength);
def adx = reference ADX(length = length);

AddOrder(OrderType.BUY_TO_OPEN, adx crosses above trendLevel and
    adx < maxLevel and
    close > ma, tickcolor = GetColor(0), arrowcolor = GetColor(0), name = "ADX_StrongUptrendLE");
AddOrder(OrderType.BUY_TO_OPEN, adx > mult * Lowest(adx, lag) and
    adx crosses above critLevel and
    close > ma, tickcolor = GetColor(1), arrowcolor = GetColor(1), name = "ADX_UptrendLE");
AddOrder(OrderType.SELL_TO_OPEN, adx crosses above trendLevel and
    adx < maxLevel and
    close < ma, tickcolor = GetColor(2), arrowcolor = GetColor(2), name = "ADX_StrongDowntrendSE");
AddOrder(OrderType.SELL_TO_OPEN, adx > mult * Lowest(adx, lag) and
    adx crosses above critLevel and
    close < ma, tickcolor = GetColor(3), arrowcolor = GetColor(3), name = "ADX_DowntrendSE");

AddOrder(OrderType.SELL_TO_CLOSE, close crosses below ma, tickcolor = GetColor(4), arrowcolor = GetColor(4), name = "MovAvgLX");
AddOrder(OrderType.BUY_TO_CLOSE, close crosses above ma, tickcolor = GetColor(5), arrowcolor = GetColor(5), name = "MovAvgSX");
