# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2016-2023
#

input length = 14;
input averageLength = 100;
input offset = 0.50;
input wideRangeCandle = no;
input volumeIncrease = no;

def atr = reference ATR(length = length);
def bodyHeight = BodyHeight();
def buy = atr == Highest(atr, length) and
    close crosses above Average(close, averageLength) and
    if wideRangeCandle then bodyHeight > Average(bodyHeight, length) else yes and
    if volumeIncrease then volume > volume[1] else yes;
def buyCount = if !IsNaN(buy)
    then if buy then buyCount[1] + 1 else buyCount[1]
    else buyCount[1];
def stopPrice = if buy then high + offset else stopPrice[1];
def stopCondition = high > stopPrice;
def stopTriggerNumber = if !IsNaN(stopPrice)
    then if stopCondition then buyCount else stopTriggerNumber[1]
    else 0;

AddOrder(OrderType.BUY_AUTO, stopCondition and stopTriggerNumber != stopTriggerNumber[1], tickcolor = GetColor(0), arrowcolor = GetColor(0));
