# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

input length = 20;
input num_devs_dn = 2.0;
input bollinger_price = close;
input lower_band_price = close;

def value = Average(bollinger_price, length) - num_devs_dn * stdev(bollinger_price, length);
def condition = lower_band_price crosses above value and high[-1] >= value;

addOrder(OrderType.BUY_AUTO, condition, Max(open[-1], value), tickColor = GetColor(0), arrowColor = GetColor(0));
