# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

input length = 20;
input num_devs_up = 2.0;
input bollinger_price = close;
input upper_band_price = close;

def value = Average(bollinger_price, length) + num_devs_up * stdev(bollinger_price, length);
def condition = upper_band_price crosses below value and low[-1] <= value;

addOrder(OrderType.SELL_AUTO, condition, Min(open[-1], value), tickColor = GetColor(9), arrowColor = GetColor(9));
