# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2013-2023
#

input aggregationPeriod = {default "DAY", "WEEK", "MONTH"};
input length = 25;

def R4 = reference CamarillaPoints("aggregation period" = aggregationPeriod, length = length).R4;
def R3 = reference CamarillaPoints("aggregation period" = aggregationPeriod, length = length).R3;
def S3 = reference CamarillaPoints("aggregation period" = aggregationPeriod, length = length).S3;
def S4 = reference CamarillaPoints("aggregation period" = aggregationPeriod, length = length).S4;

def insideS3R3 = open > S3 and open < R3;

AddOrder(OrderType.BUY_TO_OPEN, insideS3R3 and close crosses below S3, tickcolor = GetColor(0), arrowcolor = GetColor(0), name = "CamarillaReverseLE");
AddOrder(OrderType.SELL_TO_OPEN, insideS3R3 and close crosses above R3, tickcolor = GetColor(1), arrowcolor = GetColor(1), name = "CamarillaReverseSE");

AddOrder(OrderType.BUY_TO_OPEN, !insideS3R3 and close crosses above S3, tickcolor = GetColor(0), arrowcolor = GetColor(0), name = "CamarillaTrendLE");
AddOrder(OrderType.SELL_TO_OPEN, !insideS3R3 and close crosses below R3, tickcolor = GetColor(1), arrowcolor = GetColor(1), name = "CamarillaTrendSE");

AddOrder(OrderType.SELL_TO_CLOSE, low < S4 or high > R3, tickcolor = GetColor(1), arrowcolor = GetColor(1), name = "CamarillaLX");
AddOrder(OrderType.BUY_TO_CLOSE, high > R4 or low < S3, tickcolor = GetColor(0), arrowcolor = GetColor(0), name = "CamarillaSX");
