# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2016-2023
#

input length = 24;
input erAverageLength = 3;
input lag = 3;
input averageLength = 50;
input trendLevel = 0.36;
input maxLevel = 0.42;
input critLevel = 0.26;
input mult = 2.5;
input averageType = AverageType.SIMPLE;

def ma = MovingAverage(averageType, close, averageLength);
def er = Average(reference EfficiencyRatio(length = length), erAverageLength);

AddOrder(OrderType.BUY_TO_OPEN, er crosses above trendLevel and
    er < maxLevel and
    er > er[lag] and
    close > ma, tickcolor = GetColor(0), arrowcolor = GetColor(0), name = "ER_StrongUptrendLE");
AddOrder(OrderType.BUY_TO_OPEN, er > mult * Lowest(er, lag) and
    er crosses above critLevel and
    close > ma, tickcolor = GetColor(1), arrowcolor = GetColor(1), name = "ER_UptrendLE");
AddOrder(OrderType.SELL_TO_OPEN, er crosses above trendLevel and
    er < maxLevel and
    er > er[lag] and
    close < ma, tickcolor = GetColor(2), arrowcolor = GetColor(2), name = "ER_StrongDowntrendSE");
AddOrder(OrderType.SELL_TO_OPEN, er > mult * Lowest(er, lag) and
    er crosses above critLevel and
    close < ma, tickcolor = GetColor(3), arrowcolor = GetColor(3), name = "ER_DowntrendSE");

AddOrder(OrderType.SELL_TO_CLOSE, close crosses below ma, tickcolor = GetColor(4), arrowcolor = GetColor(4), name = "MovAvgLX");
AddOrder(OrderType.BUY_TO_CLOSE, close crosses above ma, tickcolor = GetColor(5), arrowcolor = GetColor(5), name = "MovAvgSX");
