# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2013-2023
#

input price = close;
input length = 20;
input cutoffLength = 10;
input over_bought = 0.8;
input over_sold = 0.2;
input mode = {default Predictive, Conventional};

def buy = reference EhlersStochastic(price, length, cutoffLength, over_bought, over_sold, mode).Buy;
def sell = reference EhlersStochastic(price, length, cutoffLength, over_bought, over_sold, mode).Sell;

AddOrder(OrderType.BUY_AUTO, !IsNaN(buy), tickColor = Color.UPTICK, arrowColor = Color.UPTICK, name = "EhlersStochLE");
AddOrder(OrderType.SELL_AUTO, !IsNaN(sell), tickColor = Color.DOWNTICK, arrowColor = Color.DOWNTICK, name = "EhlersStochSE");
