# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2012-2023
#

input price = FundamentalType.CLOSE;
input length = 8;
input averageType = AverageType.SIMPLE;

def isLastDayOfMonth = Floor(getYyyyMmDd() / 100) != Floor(getYyyyMmDd()[-1] / 100);
def monthlyPrice = fundamental(price, period = AggregationPeriod.MONTH);
def monthlyAvg = MovingAverage(averageType, fundamental(price, period = AggregationPeriod.MONTH), length);

addOrder(OrderType.BUY_AUTO, monthlyAvg < monthlyPrice and monthlyAvg[1] >= monthlyPrice[1] and isLastDayOfMonth, tickcolor = GetColor(0), arrowcolor = GetColor(0), name = "EightMonthAvgLE");
addOrder(OrderType.SELL_AUTO, monthlyAvg > monthlyPrice and monthlyAvg[1] <= monthlyPrice[1] and isLastDayOfMonth, tickcolor = GetColor(1), arrowcolor = GetColor(1), name = "EightMonthAvgSE");
