# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2022
#

input rmsLength = 50;
input cutoffLength = 20;
input threshold = 0.5;

def elegantOsc = reference ElegantOscillator("rms length" = rmsLength, "cutoff length" = cutoffLength);
def isPeak = elegantOsc[2] <= elegantOsc[1] and elegantOsc[1] > elegantOsc;
def isValley = elegantOsc[2] >= elegantOsc[1] and elegantOsc[1] < elegantOsc;

AddOrder(OrderType.BUY_AUTO, elegantOsc < -threshold and isValley, tickcolor = GetColor(0), arrowcolor = GetColor(0), name = "ElegantOscLE");
AddOrder(OrderType.SELL_AUTO, elegantOsc > threshold and isPeak, tickcolor = GetColor(1), arrowcolor = GetColor(1), name = "ElegantOscSE");
