# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2019-2023
#

input averageLength = 50;
input patternLength = 4;
input breakoutAmount = 0.5;

def isUptrend = close > Average(close, averageLength);
def consecutiveUpCandles = if close > open then consecutiveUpCandles[1] + 1 else 0;
def buy = {default init, ready, waiting};
switch (buy[1]) {
case init:
    if (consecutiveUpCandles[1] >= patternLength and isUptrend and high > Highest(high[1], patternLength) + breakoutAmount) {
        buy = buy.ready;
    } else {
        buy = buy[1];
    }
case ready:
    buy = buy.waiting;
case waiting:
    if (consecutiveUpCandles[1] == 0) {
        buy = buy.init;
    } else {
        buy = buy[1];
    }
}

AddOrder(OrderType.BUY_TO_OPEN, buy == buy.ready, tickColor = GetColor(0), arrowColor = GetColor(0));
