# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2016-2023
#

input gap = 10.0;
input offset = 0.50;

def dailyOpen = open(period = AggregationPeriod.DAY);
def gapCondition = (low(period = AggregationPeriod.DAY)[1] - dailyOpen) / dailyOpen * 100 > gap;
def newDay = GetYYYYMMDD() != GetYYYYMMDD()[1];
def buy = gapCondition and high > dailyOpen + offset;
def buyCount = buy + if newDay then 0 else buyCount[1];

AddOrder(OrderType.BUY_AUTO, buyCount == 1, tickColor = GetColor(0), arrowColor = GetColor(0));
