# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2017-2023
#

input fastLength = 50;
input slowLength = 200;
input averageType = AverageType.SIMPLE;

plot FastMA = MovingAverage(averageType, close, fastLength);
plot SlowMA = MovingAverage(averageType, close, slowLength);
FastMA.SetDefaultColor(GetColor(1));
SlowMA.SetDefaultColor(GetColor(2));

AddOrder(OrderType.BUY_AUTO, FastMA crosses above SlowMA, tickColor = GetColor(1), arrowColor = GetColor(1), name = "GoldenCrossBreakoutsLE");
AddOrder(OrderType.SELL_TO_CLOSE, low crosses below FastMA, tickColor = GetColor(2), arrowColor = GetColor(2), name = "GoldenCrossBreakoutsLX");
