# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2014-2023
#

input averageLength = 50;
input confirmationLength = 5;
input volumeLength = 1;

plot priceAvg = Average(close, averageLength);
def volumeAvg = Average(volume, averageLength);

def priceDrop = if low crosses below priceAvg then 1 else priceDrop[1] + 1;
def priceConfirmation = if close > priceAvg and (priceDrop == 1 or priceDrop <= confirmationLength and close > close[1]) then yes
	else if close < priceAvg or priceDrop > confirmationLength then no
	else priceConfirmation[1];
def volumeConfirmation = volume > volumeAvg and volume > Highest(volume, volumeLength)[1];

AddOrder(OrderType.BUY_AUTO, priceConfirmation and volumeConfirmation, tickcolor = GetColor(1), arrowcolor = GetColor(1));
