# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

input length = 12;
input price_scale = 100;

input price = close;

def delta = price - price[length];
def acceleration = delta - delta[1];

def point = 1 / price_scale;

def condition = delta > 0 and acceleration > 0 and high[-1] >= high + point;

addOrder(OrderType.BUY_AUTO, condition, Max(open[-1], high + point), tickColor = GetColor(3), arrowColor = GetColor(3));
