# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2013-2023
#

input price = close;
input length = 15;
input averageType = AverageType.SIMPLE;
input mode = {default "Trend Following", "Reversal"};

plot Avg = MovingAverage(averageType, price, length);
Avg.SetDefaultColor(GetColor(0));

def crossAbove = price crosses above Avg;
def crossBelow = price crosses below Avg;
def buy;
def sell;
switch (mode) {
case  "Trend Following":
    buy = crossAbove;
    sell = crossBelow;
case  "Reversal":
    buy = crossBelow;
    sell = crossAbove;
}

AddOrder(OrderType.BUY_AUTO, buy, tickcolor = GetColor(2), arrowcolor = GetColor(2), name = "MovAvgStratLE");
AddOrder(OrderType.SELL_AUTO, sell, tickcolor = GetColor(1), arrowcolor = GetColor(1), name = "MovAvgStratSE");
