# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#

input firstCurrency = {default "EUR", "GBP", "JPY", "CAD", "CHF", "NZD", "AUD"};
input secondCurrency =  {"EUR", "GBP", default "JPY", "CAD", "CHF", "NZD", "AUD"};
input areOneWayPairs = no;
input multiplier = 10000.0;
input upperLimit = 0.1;
input lowerLimit = -0.1;

def Corr = reference MultiCurrencyCorrelationOsc(firstCurrency = firstCurrency, secondCurrency = secondCurrency, areOneWayPairs = areOneWayPairs, multiplier = multiplier, upperLimit = upperLimit, lowerLimit = lowerLimit).Corr;

AddOrder(OrderType.BUY_AUTO, Corr < lowerLimit, name = "MultiCurrencyLE");
AddOrder(OrderType.SELL_AUTO, Corr > upperLimit, name = "MultiCurrencySE");
