# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2014-2023
#

input price = close;
input cutoffLength = 10;
input roofCutoffLength = 100;
input k1 = 0.8;
input k2 = 0.4;

def quotient1 = reference OnsetTrendDetector(price, cutoffLength, roofCutoffLength, k1).Quotient;
def quotient2 = reference OnsetTrendDetector(price, cutoffLength, roofCutoffLength, k2).Quotient;

AddOrder(OrderType.BUY_AUTO, quotient1 crosses above 0, tickcolor = GetColor(1), arrowcolor = GetColor(1), name = "OnsetTrendLE");
AddOrder(OrderType.SELL_TO_CLOSE, quotient2 crosses below 0, tickcolor = GetColor(2), arrowcolor = GetColor(2), name = "OnsetTrendLX");
