# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2020-2023
#

input price = close;
input length1 = 35;
input length2 = 20;
input signalLength = 10;

def pmo = reference PMO(price = price, length1 = length1, length2 = length2, "signal length" = signalLength).PMO;
def signalLine = reference PMO(price = price, length1 = length1, length2 = length2, "signal length" = signalLength).SignalLine;

AddOrder(OrderType.BUY_AUTO, pmo crosses above signalLine, tickcolor = GetColor(1), arrowcolor = GetColor(1), name = "PMOStratLE");
AddOrder(OrderType.SELL_AUTO, pmo crosses below signalLine, tickcolor = GetColor(0), arrowcolor = GetColor(0), name = "PMOStratSE");
