# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#

input price = close;
input length = 14;
input EMALength = 60;

def PZO = reference PriceZoneOscillator(price, length);
def ADX = reference ADX(length, AverageType.WILDERS);
def EMA = ExpAverage(price, EMALength);
def trend = ADX > 18;
def trendUp = trend and price > EMA;
def above0 = if trendUp and PZO crosses above 0 then yes else if PZO crosses below 15 then no else above0[1];

addOrder(OrderType.BUY_AUTO,
    (trendUp and PZO crosses above -40) or
    (trendUp and above0 and PZO crosses above 15) or
    (!trend and PZO crosses above -40) or
    (!trend and PZO crosses above 15),
    tickColor = GetColor(1), arrowColor = GetColor(1));
