# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#

input price = close;
input length = 14;
input EMALength = 60;

def PZO = reference PriceZoneOscillator(price, length);
def ADX = ADX(length, AverageType.WILDERS);
def EMA = ExpAverage(price, EMALength);
def trend = ADX > 18;
def sellRule1 = PZO[1] > 60 and PZO < PZO[1];
def sellRule2 = price < EMA and PZO < 0;
def below40 = if !trend and PZO crosses below 40 then yes else if PZO crosses above 15 then no else below40[1];

addOrder(OrderType.SELL_TO_CLOSE,
    (trend and sellRule1) or
    (trend and sellRule2) or
    (!trend and below40 and sellRule1) or
    (!trend and below40 and sellRule2) or
    (!trend and !below40 and PZO < -5),
    tickColor = GetColor(2), arrowColor = GetColor(2));
