# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#

input price = close;
input length = 14;
input EMALength = 60;

def PZO = reference PriceZoneOscillator(price, length);
def ADX = reference ADX(length, AverageType.WILDERS);
def EMA = ExpAverage(price, EMALength);
def trend = ADX > 18;
def trendDown = trend and price < EMA;
def below0 = if trendDown and PZO crosses below 0 then yes else if PZO crosses above -5 then no else below0[1];

addOrder(OrderType.SELL_AUTO,
    (trendDown and PZO crosses below 40) or
    (trendDown and below0 and PZO crosses below -5) or
    (!trend and PZO crosses below 40) or
    (!trend and PZO crosses below -5),
    tickColor = GetColor(2), arrowColor = GetColor(2));
