# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#

input price = close;
input length = 14;
input EMALength = 60;

def PZO = reference PriceZoneOscillator(price, length);
def ADX = ADX(length, AverageType.WILDERS);
def EMA = ExpAverage(price, EMALength);
def trend = ADX > 18;
def coverRule1 = PZO[1] < -60 and PZO > PZO[1];
def coverRule2 = price > EMA and PZO > 0;
def aboveMinus40 = if !trend and PZO crosses above -40 then yes else if PZO crosses below -5 then no else aboveMinus40[1];

addOrder(OrderType.BUY_TO_CLOSE,
    (trend and coverRule1) or
    (trend and coverRule2) or
    (!trend and aboveMinus40 and coverRule1) or
    (!trend and aboveMinus40 and coverRule2) or
    (!trend and !aboveMinus40 and PZO > 15),
    tickColor = GetColor(1), arrowColor = GetColor(1));
