# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2016-2023
#

input price = close;
input length = 14;
input overBought = 70;
input overSold = 50;
input percentageReversal = 20.0;
input averageType = AverageType.WILDERS;

def rsi = reference RSI(price = price, length = length, averageType = averageType);
def trend = reference ZigZagTrendPercent(price = price, "reversal amount" = percentageReversal);

AddOrder(OrderType.BUY_AUTO, rsi crosses above overSold and trend == 1, tickColor = GetColor(0), arrowColor = GetColor(0), name = "RSI_LE");
AddOrder(OrderType.SELL_TO_CLOSE, rsi crosses below overBought, tickColor = GetColor(1), arrowColor = GetColor(1), name = "RSI_LX");
AddOrder(OrderType.SELL_TO_CLOSE, trend == -1, tickColor = GetColor(2), arrowColor = GetColor(2), name = "TrendLX");
