# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2020-2023
#

input correlationWithSecurity = "SPY";
input rsLength = 90;
input averageLength = 3;
input timeExitLength = 126;

def rsmk = reference RSMK("correlation with security" = correlationWithSecurity, "rs length" = rsLength, "average length" = averageLength);
def entryPrice = EntryPrice();
def afterEntryCount = if IsNaN(entryPrice[1]) and !IsNaN(entryPrice) then 1 else if !IsNaN(entryPrice) then afterEntryCount[1] + 1 else Double.NaN;

AddOrder(OrderType.BUY_TO_OPEN, rsmk crosses above 0, tickColor = GetColor(6), arrowColor = GetColor(6), name = "RSMK_LE");
AddOrder(OrderType.SELL_TO_CLOSE, afterEntryCount > timeExitLength, tickColor = GetColor(5), arrowColor = GetColor(5), name = "RSMK_LX");
