# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2018-2023
#

input price = close;
input trendLength = 39;
input cycleLength = 6;
def trendReverseEma = ReverseEMA(price, trendLength);
def cycleReverseEma = ReverseEMA(price, cycleLength);

AddOrder(OrderType.BUY_TO_OPEN, trendReverseEma > 0 and cycleReverseEma crosses above 0, tickColor = GetColor(3), arrowColor = GetColor(3), name = "ReverseEMA_LE");
AddOrder(OrderType.SELL_TO_CLOSE, trendReverseEma crosses below 0 or cycleReverseEma crosses below 0, tickColor = GetColor(4), arrowColor = GetColor(4), name = "ReverseEMA_LX");
AddOrder(OrderType.SELL_TO_OPEN, trendReverseEma < 0 and cycleReverseEma crosses below 0, tickColor = GetColor(5), arrowColor = GetColor(5), name = "ReverseEMA_SE");
AddOrder(OrderType.BUY_TO_CLOSE, trendReverseEma crosses above 0 or cycleReverseEma crosses above 0, tickColor = GetColor(6), arrowColor = GetColor(6), name = "ReverseEMA_SX");
