# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2013-2023
#

input price = close;
input stdDevLength = 18;
input emaLength = 3;
input numDev = 2.0;

input kPeriod = 30;
input slowingPeriod = 3;

def percentB = reference SVEZLRBPercB(price, stdDevLength, emaLength, numDev, kperiod, slowingPeriod).PercentB;
def stochastic = reference SVEZLRBPercB(price, stdDevLength, emaLength, numDev, kperiod, slowingPeriod).Stochastic;
def bothUp = percentB > percentB[1] and stochastic > stochastic[1];
def bothDown = percentB < percentB[1] and stochastic < stochastic[1];

AddOrder(OrderType.BUY_AUTO, bothUp crosses above 0.5, tickColor = GetColor(1), arrowColor = GetColor(1), name = "SVEZLRBPercB_LE");
AddOrder(OrderType.SELL_AUTO, bothDown crosses above 0.5, tickColor = GetColor(2), arrowColor = GetColor(2), name = "SVEZLRBPercB_SE");
