# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2012-2023
#

input price = close;
input length = 14;
input longLength = 30;
input percent = 95.0;

def SZO = reference SentimentZoneOscillator(price, length, longLength, percent).SZO;
def OverSold = reference SentimentZoneOscillator(price, length, longLength, percent).OverSold;
def SMA30 = Average(SZO, 30);
def EMA60 = ExpAverage(price, 60);

addOrder(OrderType.BUY_AUTO,
    SMA30 crosses above 0 and price > EMA60 or
    price > EMA60 and SZO < OverSold and SMA30 > SMA30[1] or
    SMA30 > 0 and SZO crosses above OverSold and EMA60 > EMA60[1],
    tickColor = GetColor(0), arrowColor = GetColor(0),
    name = "SentimentZoneLE");
addOrder(OrderType.SELL_AUTO,
    SMA30 crosses below 0 or
    SZO crosses below 7 and SMA30 < SMA30[1],
    tickColor = GetColor(1), arrowColor = GetColor(1),
    name = "SentimentZoneSE");
