# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2021-2023
#

input signalLength = 8;
input rocLength = 1;
input rmsLength = 50;
input useFmDemodulator = yes;

def z3;
def derivative = close - close[2];
if (useFmDemodulator == yes) {
    z3 = reference FM_Demodulator2("rms length" = rmsLength);
} else {
    z3 = Sum(derivative, 4);
}
def signal = Average(z3, signalLength);
def roc = signal - signal[rocLength];

AddOrder(OrderType.BUY_TO_OPEN, roc crosses above 0, tickColor = GetColor(1), arrowColor = GetColor(1), name = "SimpleROC_LE");
AddOrder(OrderType.SELL_TO_CLOSE, signal crosses below 0, tickColor = GetColor(2), arrowColor = GetColor(2), name =  "SimpleROC_LX");
