# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2018-2023
#

input price = close;
input length = 60;
input averageLength = 100;
input exitLength = 84;
input numDev = 0.2;
input entryStiffnessLevel = 90;
input exitStiffnessLevel = 50;
input marketIndex = "SPY";

def ema = ExpAverage(close(marketIndex), averageLength);
def stiffness = reference Stiffness(price, length, averageLength, numDev);
def entryPrice = EntryPrice();
def afterEntryCount = if IsNaN(entryPrice[1]) and !IsNaN(entryPrice) then 1 else if !IsNaN(entryPrice) then afterEntryCount[1] + 1 else Double.NaN;

AddOrder(OrderType.BUY_TO_OPEN, stiffness crosses above entryStiffnessLevel and ema >= ema[2], tickcolor = GetColor(6), arrowcolor = GetColor(6), name = "StiffnessLE");
AddOrder(OrderType.SELL_TO_CLOSE, stiffness crosses below exitStiffnessLevel, tickcolor = GetColor(5), arrowcolor = GetColor(5), name = "StiffnessLX");
AddOrder(OrderType.SELL_TO_CLOSE, afterEntryCount > exitLength, tickcolor = GetColor(4), arrowcolor = GetColor(4), name = "StiffnessTimeLX");
