# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2013-2023
#

input smaLength = 5;
input emaLength = 50;
input tickSizes = 5.0;

def offset = tickSizes * TickSize();

plot Ema = ExpAverage(close, emaLength);
plot SmaHigh = Average(high, smaLength);
plot SmaLow = Average(low, smaLength);
Ema.SetDefaultColor(GetColor(4));
SmaHigh.SetDefaultColor(GetColor(1));
SmaLow.SetDefaultColor(GetColor(0));

AddOrder(OrderType.BUY_TO_OPEN, high crosses above SmaHigh + offset and close[1] > Ema[1], tickcolor = GetColor(0), arrowcolor = GetColor(0), name = "SwingThreeLE");
AddOrder(OrderType.SELL_TO_CLOSE, low < SmaLow, tickcolor = GetColor(1), arrowcolor = GetColor(1), name = "SwingThreeLX");
AddOrder(OrderType.SELL_TO_OPEN, low crosses below SmaLow - offset and close[1] < Ema[1], tickcolor = GetColor(2), arrowcolor = GetColor(2), name = "SwingThreeSE");
AddOrder(OrderType.BUY_TO_CLOSE, high > SmaHigh, tickcolor = GetColor(3), arrowcolor = GetColor(3), name = "SwingThreeSX");
