# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2016-2023
#

input length = 10;
input averageType = AverageType.SIMPLE;
input entryPercentLevel = 3.0;
input exitPercentLevel = 4.0;

def ma = MovingAverage(averageType, close, length);

AddOrder(OrderType.BUY_TO_OPEN, close crosses above (1 + entryPercentLevel / 100) * ma, tickcolor = GetColor(0), arrowcolor = GetColor(0), name = "TrendFollowingStratLE");
AddOrder(OrderType.SELL_TO_CLOSE, close crosses below (1 - exitPercentLevel / 100) * ma, tickcolor = GetColor(1), arrowcolor = GetColor(1), name = "TrendFollowingStratLX");

AddOrder(OrderType.SELL_TO_OPEN, close crosses below (1 - entryPercentLevel / 100) * ma, tickcolor = GetColor(2), arrowcolor = GetColor(2), name = "TrendFollowingStratSE");
AddOrder(OrderType.BUY_TO_CLOSE, close crosses above (1 + exitPercentLevel / 100) * ma, tickcolor = GetColor(3), arrowcolor = GetColor(3), name = "TrendFollowingStratSX");
