# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2015-2023
#

input cutoffLength = 20;
input mode = {"Trend Following", default "Reversal"};

def osc = reference UniversalOscillator("cutoff length" = cutoffLength);
def crossAbove = osc crosses above 0;
def crossBelow = osc crosses below 0;
def buy;
def sell;
switch (mode) {
case  "Trend Following":
    buy = crossAbove;
    sell = crossBelow;
case  "Reversal":
    buy = crossBelow;
    sell = crossAbove;
}

AddOrder(OrderType.BUY_AUTO, buy, tickcolor = GetColor(2), arrowcolor = GetColor(2), name = "UniversalOscillatorStratLE");
AddOrder(OrderType.SELL_AUTO, sell, tickcolor = GetColor(1), arrowcolor = GetColor(1), name = "UniversalOscillatorStratSE");
