# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2016-2023
#

input length = 36;
input lag = 10;
input averageLength = 50;
input trendLevel = 0.38;
input maxLevel = 0.45;
input critLevel = 0.24;
input mult = 1.5;
input averageType = AverageType.SIMPLE;

def ma = MovingAverage(averageType, close, averageLength);
def vhf = reference VerticalHorizontalFilter(length = length);

AddOrder(OrderType.BUY_TO_OPEN, vhf crosses above trendLevel and
    vhf < maxLevel and
    vhf > vhf[lag] and
    close > ma, tickcolor = GetColor(0), arrowcolor = GetColor(0), name = "VHF_StrongUptrendLE");
AddOrder(OrderType.BUY_TO_OPEN, vhf > mult * Lowest(vhf, lag) and
    vhf crosses above critLevel and
    close > ma, tickcolor = GetColor(1), arrowcolor = GetColor(1), name = "VHF_UptrendLE");
AddOrder(OrderType.SELL_TO_OPEN, vhf crosses above trendLevel and
    vhf < maxLevel and
    vhf > vhf[lag] and
    close < ma, tickcolor = GetColor(2), arrowcolor = GetColor(2), name = "VHF_StrongDowntrendSE");
AddOrder(OrderType.SELL_TO_OPEN, vhf > mult * Lowest(vhf, lag) and
    vhf crosses above critLevel and
    close < ma, tickcolor = GetColor(3), arrowcolor = GetColor(3), name = "VHF_DowntrendSE");

AddOrder(OrderType.SELL_TO_CLOSE, close crosses below ma, tickcolor = GetColor(4), arrowcolor = GetColor(4), name = "MovAvgLX");
AddOrder(OrderType.BUY_TO_CLOSE, close crosses above ma, tickcolor = GetColor(5), arrowcolor = GetColor(5), name = "MovAvgSX");
