# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2012-2023
#

input price = FundamentalType.LOW;
input smaLength = 50;
input trendLength = 11;

def priceVix = Fundamental(price, "VIX");
def smaVix = Average(priceVix, smaLength);

AddOrder(OrderType.BUY_AUTO,
    Sum(priceVix < smaVix, trendLength)[1] == trendLength,
    tickcolor = GetColor(1),
    arrowcolor = GetColor(1),
    name = "VIX_Timing_LE");
AddOrder(OrderType.SELL_TO_CLOSE,
    Sum(priceVix > smaVix, trendLength)[1] == trendLength,
    tickcolor = GetColor(2),
    arrowcolor = GetColor(2),
    name = "VIX_Timing_LX");
