# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2017-2023
#

input vwmaLength = 50;
input maLength = 70;
input averageType = AverageType.SIMPLE;

plot VWMA = Sum(volume * close, vwmaLength) / Sum(volume, vwmaLength);
plot MA = MovingAverage(averageType, close, maLength);
VWMA.SetDefaultColor(GetColor(1));
MA.SetDefaultColor(GetColor(2));

AddOrder(OrderType.BUY_TO_OPEN, VWMA crosses above MA, tickcolor = GetColor(1), arrowcolor = GetColor(1), name = "VWMABreakoutsLE");
AddOrder(OrderType.SELL_TO_CLOSE, VWMA crosses below MA, tickcolor = GetColor(2), arrowcolor = GetColor(2), name = "VWMABreakoutsLX");
