# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2013-2023
#

input price = close;
input length = 21;
input averageLength = 10;
input rsiLength = 7;
input rsiOverboughtLevel = 60;
input rsiOversoldLevel = 30;
input rsiAverageType = AverageType.EXPONENTIAL;

def avg = Average(price, averageLength);
def rsi = reference RSI(rsiLength, rsiOverboughtLevel, rsiOversoldLevel, price, rsiAverageType);
def trendingMode = reference VolatilitySwitch(price, length) < 0.5;

AddOrder(OrderType.BUY_TO_OPEN, trendingMode and price crosses above avg, name = "VolSwitchTrendingLE", tickColor = GetColor(0), arrowColor = GetColor(0));
AddOrder(OrderType.BUY_TO_OPEN, !trendingMode and rsi crosses above rsiOversoldLevel, name = "VolSwitchRangingLE", tickColor = GetColor(1), arrowColor = GetColor(1));
AddOrder(OrderType.SELL_TO_CLOSE, trendingMode and price crosses below avg, name = "VolSwitchTrendingLX", tickColor = GetColor(2), arrowColor = GetColor(2));
AddOrder(OrderType.SELL_TO_CLOSE, !trendingMode and rsi crosses below rsiOverboughtLevel, name = "VolSwitchRangingLX",  tickColor = GetColor(3), arrowColor = GetColor(3));
