# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

input numATRs = 1.5;
input length = 5;
input averageType = AverageType.SIMPLE;

def val = MovingAverage(averageType, TrueRange(high, close, low), length);

def condition = low[-1] <= close - val * numATRs;

addOrder(OrderType.SELL_TO_CLOSE, condition, Min(open[-1], close - val * numATRs), tickColor = GetColor(4), arrowColor = GetColor(4));
