# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2021-2023
#

declare lower;

input highestLength = 4;
input averageLength = 8;
input averageType = AverageType.SIMPLE;

def derivative = close - open;
def envelope = Highest(AbsValue(derivative), highestLength);

plot Volatility = MovingAverage(averageType, envelope, averageLength);
plot ZeroLine = 0;

Volatility.SetDefaultColor(GetColor(2));
ZeroLine.SetDefaultColor(GetColor(7));
