# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2016-2023
#

#wizard text: Inputs: length:
#wizard input: length
#wizard text: min price:
#wizard input: minPrice
#wizard text: max price:
#wizard input: maxPrice
#wizard text: min range:
#wizard input: minRange
#wizard text: volume limit:
#wizard input: volumeLimit

declare lower;

input minPrice = 15;
input maxPrice = 70;
input minRange = 5;
input volumeLimit = 1000000;
input length = 90;

def highestHigh = Highest(high, length);
def lowestLow = Lowest(low, length);
def lowestVolume = Lowest(volume, length);

plot ATRBreakoutsScreen = lowestLow >= minPrice and
    highestHigh <= maxPrice and
    highestHigh - lowestLow >= minRange and
    lowestVolume >= volumeLimit;
ATRBreakoutsScreen.SetPaintingStrategy(PaintingStrategy.BOOLEAN_POINTS);
ATRBreakoutsScreen.SetLineWeight(3);
ATRBreakoutsScreen.SetDefaultColor(GetColor(1));
