# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard plots
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def IsPrevDoji = IsDoji(length)[1];

plot Bearish = IsAscending(close, trendSetup)[2] and
    IsLongWhite(length)[2] and
    low[1] > close[2] and
    IsPrevDoji and
    high < low[1] and
    open > close;

plot Bullish = IsDescending(close, trendSetup)[2] and
    IsLongBlack(length)[2] and
    high[1] < close[2] and
    IsPrevDoji and
    low > high[1] and
    open < close;

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(7));
Bearish.SetLineWeight(2);
Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(8));
Bullish.SetLineWeight(2);
