# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup
#wizard text:  body factor:
#wizard input: bodyFactor
#wizard text: shadow factor:
#wizard input: shadowFactor

input length = 20;
input trendSetup = 3;
input bodyFactor = 0.7;
input shadowFactor = 0.75;

assert(bodyFactor >= 0, "'body factor' must not be negative: " + bodyFactor);
assert(shadowFactor >= 0, "'shadow factor' must not be negative: " + shadowFactor);

def BodyHeight = BodyHeight();
def IsShort = BodyHeight < bodyFactor * BodyHeight[1];
def IsOpenWithinBody = open > open[1] and
    open < close[1];
def IsLongUpperShadow = (high - close) > shadowFactor * Average(BodyHeight, length);
def IsCloseHigher = close > close[1];
def IsWhite = open < close;

plot Bearish = IsAscending(close, trendSetup)[2] and
    IsWhite[2] and
    IsWhite[1] and
    IsWhite and
    IsCloseHigher[1] and
    IsCloseHigher and
    IsOpenWithinBody[1] and
    IsOpenWithinBody and
    IsLongUpperShadow[1] and
    IsLongUpperShadow and
    IsShort[1] and
    IsShort;

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(5));
Bearish.SetLineWeight(2);
