# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2013-2023
#

declare lower;

input exchange = {default NYSE, NASDAQ, AMEX};
input length = 252;

def advnDecnPctChg = 1000 * AdvanceDecline(type = "Advance/Decline Line (Daily)", exchange = exchange);
def cumAdvnDecn = cumAdvnDecn[1] + if !IsNaN(advnDecnPctChg) then advnDecnPctChg else 0;

plot CumulAD = if !IsNaN(advnDecnPctChg) then cumAdvnDecn else Double.NaN;
plot AvgCumulAD = if !IsNaN(close) then Sum(if !IsNaN(CumulAD) then CumulAD else 0, length) / Sum(if !IsNaN(CumulAD) then 1 else 0, length) else Double.NaN;

CumulAD.DefineColor("Above", Color.UPTICK);
CumulAD.DefineColor("Below", Color.DOWNTICK);
CumulAD.AssignValueColor(if CumulAD > AvgCumulAD then CumulAD.Color("Above") else CumulAD.Color("Below"));
AvgCumulAD.SetDefaultColor(GetColor(7));
