# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2016-2023
#

declare lower;

input secondarySymbol = "/CL";
input length = 20;

def bol1 = 1 + (close - Average(close, length) + 2 * StDev(close, length)) / (4 * StDev(close, length) + 0.0001);
def secClose = close(secondarySymbol);
def bol2 = 1 + (secClose - Average(secClose, length) + 2 * StDev(secClose, length)) / (4 * StDev(secClose, length) + 0.0001);

plot Divergence = (bol2 - bol1) / bol1 * 100;
plot UpperLevel = 20;
plot ZeroLine = 0;
plot LowerLevel = -20;

Divergence.SetDefaultColor(GetColor(1));
UpperLevel.SetDefaultColor(GetColor(3));
ZeroLine.SetDefaultColor(GetColor(7));
LowerLevel.SetDefaultColor(GetColor(3));
