# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

input averageType = AverageType.SIMPLE;
input length = 14;

def rawBMP = if high != low then (close - open) / (high - low) else 1;
plot BMP = MovingAverage(averageType, rawBMP, length);
plot ZeroLine = 0;

BMP.SetPaintingStrategy(paintingStrategy.HISTOGRAM);
BMP.DefineColor("Positive", Color.Green);
BMP.DefineColor("Neutral", Color.Gray);
BMP.DefineColor("Negative", Color.Red);
BMP.AssignValueColor(if BMP > 0 then BMP.color("Positive") else if BMP == 0 then BMP.color("Neutral") else BMP.color("Negative"));
ZeroLine.hide();
