# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2019-2023
#

declare lower;

input length = 20;
input bandwidth = 0.1;
input harmonic = 1;

def beta1 = Cos(2 * Double.Pi / (length / harmonic));
def gamma1 = Cos(bandwidth * 2 * Double.Pi / (length / harmonic));
def alpha1 = 1 / gamma1 - Sqrt(1 / Sqr(gamma1) - 1);
def bandpass = if IsNaN(close + close[2]) then 0 else (1 - alpha1) * (close - close[2]) / 2 + beta1 * (1 + alpha1) * bandpass[1] - alpha1 * bandpass[2];

plot BandpassFilter = bandpass;
plot ZeroLine = 0;

BandpassFilter.SetDefaultColor(GetColor(2));
ZeroLine.SetDefaultColor(GetColor(7));
