# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2010-2023
#
#wizard plots
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def AverageBodyHeight = Average(BodyHeight(), length);
def ErrMargin = 0.05 * AverageBodyHeight;

plot Bearish = IsAscending(close, trendSetup) and
    Max(close[1], open[1]) < (open - AverageBodyHeight) and
    IsLongBlack(length) and
    AbsValue(open - high) <= errMargin;
plot Bullish = IsDescending(close, trendSetup) and
    Min(close[1], open[1]) > (open + AverageBodyHeight) and
    IsLongWhite(length) and
    AbsValue(open - low) <= errMargin;

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(CreateColor(100, 255, 100));
Bearish.SetLineWeight(2);
Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(CreateColor(255, 100, 100));
Bullish.SetLineWeight(2);
