# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard plots
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def IsLongBlack = IsLongBlack(length);
def IsLongWhite = IsLongWhite(length);
def IsWhite = open < close;
def IsBlack = open > close;
def IsCloseHigher = close > close[1];
def IsCloseLower = close < close[1];

plot Bearish = IsAscending(close, trendSetup)[4] and
    IsLongWhite[4] and
    IsWhite[3] and
    IsWhite[1] and
    IsCloseHigher[2] and
    IsCloseHigher[1] and
    IsLongBlack and
    close > high[4] and
    close < low[3];

plot Bullish = IsDescending(close, trendSetup)[4] and
    IsLongBlack[4] and
    IsBlack[3] and
    IsBlack[1] and
    IsCloseLower[1] and
    IsCloseLower[2] and
    IsLongWhite and
    close < low[4] and
    close > high[3];

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(9));
Bearish.SetLineWeight(2);
Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(0));
Bullish.SetLineWeight(2);
