# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2018-2023
#

input adxLength = 10;
input macdFastLength = 12;
input macdSlowLength = 26;
input paintBars = yes;

def adx = reference ADX(length = adxLength);
def macd = reference MACD("fast length" = macdFastLength, "slow length" = macdSlowLength);

plot CAM_UP = adx >= adx[1] and macd > macd[1];
plot CAM_PB = adx <= adx[1] and macd < macd[1];
plot CAM_DN = adx >= adx[1] and macd < macd[1];
plot CAM_CT = adx <= adx[1] and macd > macd[1];

CAM_UP.SetDefaultColor(Color.GREEN);
CAM_UP.SetPaintingStrategy(PaintingStrategy.BOOLEAN_POINTS);
CAM_UP.SetLineWeight(3);
CAM_UP.hide();
CAM_PB.SetDefaultColor(Color.YELLOW);
CAM_PB.SetPaintingStrategy(PaintingStrategy.BOOLEAN_POINTS);
CAM_PB.SetLineWeight(3);
CAM_PB.hide();
CAM_DN.SetDefaultColor(Color.RED);
CAM_DN.SetPaintingStrategy(PaintingStrategy.BOOLEAN_POINTS);
CAM_DN.SetLineWeight(3);
CAM_DN.hide();
CAM_CT.SetDefaultColor(Color.BLUE);
CAM_CT.SetPaintingStrategy(PaintingStrategy.BOOLEAN_POINTS);
CAM_CT.SetLineWeight(3);
CAM_CT.hide();

DefineGlobalColor("CAM_UP", Color.GREEN);
DefineGlobalColor("CAM_PB", Color.YELLOW);
DefineGlobalColor("CAM_DN", Color.RED);
DefineGlobalColor("CAM_CT", Color.BLUE);

AssignPriceColor(if !paintBars then Color.CURRENT
else if CAM_UP then GlobalColor("CAM_UP")
else if CAM_PB then GlobalColor("CAM_PB")
else if CAM_DN then GlobalColor("CAM_DN")
else if CAM_CT then GlobalColor("CAM_CT")
else Color.Current);
