# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2020-2023
#

declare lower;

input length1 = 35;
input length2 = 20;
input signalLength = 10;
input secondarySymbol = "SPX";

plot PrimaryPMO = reference PMO(price = close, length1 = length1, length2 = length2);
plot SecondaryPMO = reference PMO(price = close(secondarySymbol), length1 = length1, length2 = length2);
plot PrimarySignalLine = ExpAverage(PrimaryPMO, signalLength);
plot SecondarySignalLine = ExpAverage(SecondaryPMO, signalLength);
plot ZeroLine = 0;

PrimaryPMO.SetDefaultColor(GetColor(1));
SecondaryPMO.SetDefaultColor(GetColor(2));
PrimarySignalLine.SetDefaultColor(GetColor(3));
PrimarySignalLine.Hide();
SecondarySignalLine.SetDefaultColor(GetColor(4));
SecondarySignalLine.Hide();
ZeroLine.SetDefaultColor(GetColor(7));
