# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2008-2023
#

declare lower;

input bigPointValue = 1.0;
input length = 14;
input myCommission = 25.0;
input myMargin = 1000.0;
input averageType = AverageType.WILDERS;

Assert(bigPointValue > 0, "'big point value' must be positive: " + bigPointValue);
Assert(myCommission >= 0, "'my commission' must not be negative: " + myMargin);
Assert(myMargin > 0, "'my margin' must be positive: " + myMargin);

def koeff = 100 * (bigPointValue / Sqrt(myMargin) / (150 + myCommission));

plot CSI = koeff * MovingAverage(averageType, TrueRange(high, close, low), length) * ADXR(length, averageType).ADXR;

CSI.SetDefaultColor(GetColor(5));
