# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

input colorNormLength = 14;
input fastLength = 3;
input slowLength = 10;

def acc = AccumDist(high, close, low, open, volume);
def shortXAvg = ExpAverage(acc, fastLength);
def longXAvg = ExpAverage(acc, slowLength);

plot ChaikinOsc = shortXAvg - longXAvg;
plot ZeroLine = 0;

ChaikinOsc.DefineColor("Highest", Color.YELLOW);
ChaikinOsc.DefineColor("Lowest", Color.LIGHT_RED);
ChaikinOsc.AssignNormGradientColor(colorNormLength, ChaikinOsc.color("Lowest"), ChaikinOsc.color("Highest"));
ZeroLine.SetDefaultColor(GetColor(0));
