# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup
#wizard text: shadow factor:
#wizard input: shadowFactor

input length = 20;
input trendSetup = 3;
input shadowFactor = 0.75;

assert(shadowFactor >= 0, "'shadow factor' must not be negative: " + shadowFactor);

def AverageBodyHeight = Average(BodyHeight(), length);
def ErrMargin = 0.05 * AverageBodyHeight;
def IsBlack = open > close;
def IsBlackMarubozu = IsBlack and
    high - open <= ErrMargin and
    close - low <= ErrMargin;

plot Bullish = IsDescending(close, trendSetup)[2] and
    IsBlackMarubozu[3] and
    IsBlackMarubozu[2] and
    IsBlack[1] and
    open[1] < low[2] and
    high[1] > close[2] and
    high[1] - open[1] > shadowFactor * AverageBodyHeight and
    IsBlackMarubozu and
    open > high[1] and
    close < low[1];

Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(3));
Bullish.SetLineWeight(2);
