# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2021-2023
#
declare lower;

input length = 20;

def real = reference CorrelationCycleIndicator(length = length).CorrelationWithCosine;
def imag = reference CorrelationCycleIndicator(length = length).CorrelationWithNegativeSine;

def angleRad = if imag != 0 then Double.Pi / 2 + ATan(real / imag) - (if imag > 0 then Double.Pi else 0) else 0;
def angle = 180 / Double.Pi * angleRad;
def positiveAngle = if IsNaN(positiveAngle[1]) then 0 else if positiveAngle[1] - angle < 270 and angle < positiveAngle[1] then positiveAngle[1] else angle;

plot CorrelationAngle = positiveAngle;
plot ZeroLine = 0;

CorrelationAngle.SetDefaultColor(GetColor(1));
ZeroLine.SetDefaultColor(GetColor(7));
