# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2021-2023
#

declare lower;

input length = 20;

def sx = Sum(close, length);
def sxx = Sum(Sqr(close), length);
def sy1 = fold i1 = 0 to length with s1 do (s1 + Cos(2 * Double.Pi * i1 / length));
def sxy1 = fold i2 = 0 to length with s2 do (s2 + GetValue(close, i2) * Cos(2 * Double.Pi * i2 / length));
def syy1 = fold i3 = 0 to length with s3 do (s3 + Sqr(Cos(2 * Double.Pi * i3 / length)));
def sxx_sx = length * sxx - Sqr(sx);

def corrCosine = if sxx_sx == 0 then 0 else (length * sxy1 - sx * sy1) / Sqrt(sxx_sx * (length * syy1 - Sqr(sy1)));

def sy2 = fold j1 = 0 to length with t1 do (t1 - Sin(2 * Double.Pi * t1 / length));
def sxy2 = fold j2 = 0 to length with t2 do (t2 - GetValue(close, j2) * Sin(2 * Double.Pi * j2 / length));
def syy2 = fold j3 = 0 to length with t3 do (t3 + Sqr(Sin(2 * Double.Pi * j3 / length)));

def corrNegSine = if sxx_sx == 0 then 0 else (length * sxy2 - sx * sy2) / Sqrt(sxx_sx * (length * syy2 - Sqr(sy2)));

plot CorrelationWithCosine = corrCosine;
plot CorrelationWithNegativeSine = corrNegSine;
plot ZeroLine = 0;

CorrelationWithCosine.SetDefaultColor(GetColor(5));
CorrelationWithNegativeSine.SetDefaultColor(GetColor(6));
ZeroLine.SetDefaultColor(GetColor(7));
