# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2018-2023
#

declare lower;
declare hide_on_daily;

input nightSessionFromMidnight = 0100;
input firstHourTrading = 0930;
input mainSession = 1030;
input nightSessionFromMainSessionEnd = 1615;
input paintBars = yes;

def isNightSessionFromMidnight = SecondsFromTime(nightSessionFromMidnight) >= 0 and SecondsTillTime(firstHourTrading) > 0;
def isFirstHourTrading = SecondsFromTime(firstHourTrading) >= 0 and SecondsTillTime(mainSession) > 0;
def isMainSession = SecondsFromTime(mainSession) >= 0 and SecondsTillTime(nightSessionFromMainSessionEnd) > 0;

def newNightSessionFromMidnight = isNightSessionFromMidnight and !isNightSessionFromMidnight[1];
def cOvernightVolume = if newNightSessionFromMidnight then volume else if isNightSessionFromMidnight then cOvernightVolume[1] + volume else cOvernightVolume[1];

def count = count[1] + if newNightSessionFromMidnight then 1 else 0;

def overnightVolume1;
def overnightVolume2;
def overnightVolume3;
def overnightVolume4;
def overnightVolume5;
if (newNightSessionFromMidnight and count > 1) {
    overnightVolume1 = cOvernightVolume[1];
    overnightVolume2 = overnightVolume1[1];
    overnightVolume3 = overnightVolume2[1];
    overnightVolume4 = overnightVolume3[1];
    overnightVolume5 = overnightVolume4[1];
} else {
    overnightVolume1 = overnightVolume1[1];
    overnightVolume2 = overnightVolume2[1];
    overnightVolume3 = overnightVolume3[1];
    overnightVolume4 = overnightVolume4[1];
    overnightVolume5 = overnightVolume5[1];
}

plot CumulativeOvernightVolume = if isNightSessionFromMidnight then cOvernightVolume else Double.NaN;
plot AverageOvernightVolume = if count > 5 then (overnightVolume1 + overnightVolume2 + overnightVolume3 + overnightVolume4 + overnightVolume5) / 5 else Double.NaN;

CumulativeOvernightVolume.DefineColor("Below", GetColor(1));
CumulativeOvernightVolume.DefineColor("Above", GetColor(0));
CumulativeOvernightVolume.AssignValueColor(if CumulativeOvernightVolume > AverageOvernightVolume then CumulativeOvernightVolume.Color("Above") else CumulativeOvernightVolume.Color("Below"));
CumulativeOvernightVolume.SetPaintingStrategy(PaintingStrategy.HISTOGRAM);
AverageOvernightVolume.SetDefaultColor(GetColor(5));
AverageOvernightVolume.SetPaintingStrategy(PaintingStrategy.HORIZONTAL);

DefineGlobalColor("Night Session #1", Color.WHITE);
DefineGlobalColor("First Hour Trading", Color.RED);
DefineGlobalColor("Main Session", Color.BLUE);
DefineGlobalColor("Night Session #2", Color.GRAY);
AssignPriceColor(if paintBars then if isNightSessionFromMidnight then GlobalColor("Night Session #1") else if isFirstHourTrading then GlobalColor("First Hour Trading") else if isMainSession then GlobalColor("Main Session") else GlobalColor("Night Session #2") else Color.CURRENT);
