# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2021-2023
#

declare lower;

input length = 14;
input averageType = AverageType.WILDERS;

def hiDiff = high - high[1];
def loDiff = low[1] - low;
def plusDM = if hiDiff > loDiff and hiDiff > 0 then hiDiff else 0;
def minusDM =  if loDiff > hiDiff and loDiff > 0 then loDiff else 0;
def dm = MovingAverage(averageType, plusDM - minusDM, length);

plot DMH = reference FIR_Hann(price = dm, length = length);
plot ZeroLine = 0;

DMH.SetDefaultColor(GetColor(5));
ZeroLine.SetDefaultColor(GetColor(7));
