# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2012-2023
#

declare lower;

input length = 10;
input highLowLength = 3;
input sumLength = 3;
input over_bought = 90;
input over_sold = 10;

def osc = DMI_Oscillator(length, "average type" = AverageType.WILDERS);
def hh = Highest(osc, highLowLength);
def ll = Lowest(osc, highLowLength);

plot Stoch = Sum(osc - ll, sumLength) / (Sum(hh - ll, sumLength)) * 100;
plot OverBought = over_bought;
plot OverSold = over_sold;
plot Up = if Stoch crosses above over_sold then over_sold + 5 else Double.NaN;
plot Down = if Stoch crosses below over_bought then over_bought - 5 else Double.NaN;

Stoch.SetDefaultColor(GetColor(1));
OverBought.SetDefaultColor(Color.GRAY);
OverSold.SetDefaultColor(Color.GRAY);
Up.SetDefaultColor(Color.UPTICK);
Up.SetPaintingStrategy(PaintingStrategy.ARROW_UP);
Up.HideBubble();
Down.SetDefaultColor(Color.DOWNTICK);
Down.SetPaintingStrategy(PaintingStrategy.ARROW_DOWN);
Down.HideBubble();
