# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup
#wizard text:  body factor:
#wizard input: bodyFactor

input length = 20;
input trendSetup = 3;
input bodyFactor = 0.3;

assert(bodyFactor >= 0, "'body factor' must not be negative: " + bodyFactor);

def BodyHeight = BodyHeight();
def IsShort = BodyHeight < bodyFactor * Average(BodyHeight, length);
def IsLongWhite = IsLongWhite(length);

plot Bearish = IsAscending(close, trendSetup)[2] and
    IsLongWhite[2] and
    IsLongWhite[1] and
    close[1] > close[2] and
    open[1] > open[2] and
    Min(open, close) > close[1] and
    IsShort;

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(6));
Bearish.SetLineWeight(2);
