# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2017-2023
#

input price = close;
input length = 20;
input displace = 0;
input numDevDn = -2.0;
input numDevUp = 2.0;

def ema = ExpAverage(price[-displace], length);
def esd = Sqrt(Max(0, Average(Sqr(price[-displace]), length) - 2 * ema * Average(price[-displace], length) + Sqr(ema)));

plot UpperBand = ema + numDevUp * esd;
plot MidLine = ema;
plot LowerBand = ema + numDevDn * esd;

UpperBand.SetDefaultColor(GetColor(1));
MidLine.SetDefaultColor(GetColor(1));
MidLine.SetStyle(Curve.SHORT_DASH);
LowerBand.SetDefaultColor(GetColor(1));
