# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

input colorNormLength = 14;
input smLength = 14;

def mfi = if volume > 0 then (high - low) / volume * 100 else 0;
def mul = 50 * mfi * ((high + low) - (high[1] + low[1]));

plot EOM = Average(mul, smLength);
plot ZeroLine = 0;

EOM.DefineColor("Highest", Color.YELLOW);
EOM.DefineColor("Lowest", Color.LIGHT_RED);
EOM.AssignNormGradientColor(colorNormLength, EOM.color("Lowest"), EOM.color("Highest"));
ZeroLine.SetDefaultColor(GetColor(8));
