# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2016-2023
#

#thermo plot : Autocorrelation
#thermo input : lag
#thermo minValue : 8
#thermo maxValue : 48

declare lower;

input lag = 48;
input averagingLength = 0;

def filter = EhlersRoofingFilter("cutoff length" = 8, "roof cutoff length" = 48);
def avgLength = if averagingLength == 0 then lag else averagingLength;

plot Autocorrelation = Correlation(filter, filter[lag], avgLength);
plot ZeroLine = 0;

Autocorrelation.SetDefaultColor(GetColor(1));
ZeroLine.SetDefaultColor(GetColor(7));
