# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2015-2023
#

declare lower;
declare real_size;

input price = close;
input roofCutoffLength = 125;
input k = 1.0;

def decycler = reference EhlersSimpleDecycler(price = price, "roof cutoff length" = roofCutoffLength);

plot DecyclerOsc = 100 * k * reference EhlersHighpassFilter(price = decycler, "roof cutoff length" = 0.5 * roofCutoffLength) / price;
plot ZeroLine = 0;

DecyclerOsc.SetDefaultColor(GetColor(5));
ZeroLine.SetDefaultColor(GetColor(7));
