# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2015-2023
#

declare lower;

input price = close;
input roofCutoffLength = 125;

Assert(roofCutoffLength > 0, "roofCutoffLength must be positive: " + roofCutoffLength);

def alpha1 = (Cos(Sqrt(2) * Double.Pi / roofCutoffLength) + Sin (Sqrt(2) * Double.Pi / roofCutoffLength) - 1) / Cos(Sqrt(2) * Double.Pi / roofCutoffLength);
def highpass = if IsNaN(price + price[1] + price[2]) then 0 else Sqr(1 - alpha1 / 2) * (price - 2 * price[1] + price[2]) + 2 * (1 - alpha1) * GetValue(highpass, 1) - Sqr(1 - alpha1) * GetValue(highpass, 2);

plot HighpassFilter = if !IsNaN(price) then highpass else Double.NaN;
HighpassFilter.SetDefaultColor(GetColor(2));
