# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2013-2023
#

declare lower;

input price = close;
input cutoffLength = 10;
input roofCutoffLength = 48;

assert(roofCutoffLength > 0, "roofCutoffLength must be positive: " + roofCutoffLength);

def highpass = reference EhlersHighpassFilter(price = price, "roof cutoff length" = roofCutoffLength);
plot RoofingFilter = if !IsNaN(price) then reference EhlersSuperSmootherFilter(highpass, cutoffLength) else Double.NaN;
plot ZeroLine = 0;

RoofingFilter.SetDefaultColor(GetColor(5));
ZeroLine.SetDefaultColor(GetColor(7));
