# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2015-2023
#

input price = close;
input roofCutoffLength = 125;
input pctAbove = 0.5;
input pctBelow = 0.5;

plot Decycler = close - reference EhlersHighpassFilter(price = price, "roof cutoff length" = roofCutoffLength);
plot UpperBand = Decycler * (1 + pctAbove / 100);
plot LowerBand = Decycler * (1 - pctBelow / 100);

Decycler.SetDefaultColor(GetColor(5));
UpperBand.SetDefaultColor(GetColor(4));
LowerBand.SetDefaultColor(GetColor(4));
