# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2022-2023
#

declare lower;

input rmsLength = 50;
input cutoffLength = 20;
input threshold = 0.5;

def derivative = close - close[2];
def rms = Sqrt(Average(Sqr(derivative), rmsLength));
def normDerivative = derivative / rms;
def ift = (Exp(2 * normDerivative) - 1) / (Exp(2 * normDerivative) + 1);

plot ElegantOsc = reference EhlersSuperSmootherFilter(price = ift, "cutoff length" = cutoffLength);
plot UpperLevel = threshold;
plot ZeroLine = 0;
plot LowerLevel = -threshold;

ElegantOsc.SetPaintingStrategy(PaintingStrategy.HISTOGRAM);
ElegantOsc.DefineColor("Positive", Color.UPTICK);
ElegantOsc.DefineColor("Negative", Color.DOWNTICK);
ElegantOsc.AssignValueColor(if ElegantOsc >= 0 then ElegantOsc.Color("Positive") else ElegantOsc.Color("Negative"));
UpperLevel.SetDefaultColor(GetColor(3));
ZeroLine.SetDefaultColor(GetColor(7));
LowerLevel.SetDefaultColor(GetColor(3));
