# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup
#wizard text:  body factor:
#wizard input: bodyFactor

input length = 20;
input trendSetup = 3;
input bodyFactor = 0.3;

assert(bodyFactor >= 0, "'body factor' must not be negative: " + bodyFactor);

def BodyHeight = BodyHeight();
def IsShort = BodyHeight < bodyFactor * Average(BodyHeight, length);

plot Bearish = IsAscending(close, trendSetup)[2] and
    IsLongWhite(length)[2] and
    IsShort[1] and
    low[1] > high[2] and
    open > close and
    close < MidBodyVal()[2];

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(9));
Bearish.SetLineWeight(2);
