# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2022-2023
#

declare lower;

input filter = {default SMA, TriangleWeighting, Hamming, Hann};
input length = 20;
input pedestal = 10;

def derivative = close - open;

plot FIR;
switch (filter) {
case SMA:
    FIR = Average(derivative, length);
case TriangleWeighting:
    FIR = reference FIR_TriangleWeighting(price = derivative, length = length);
case Hamming:
    FIR = reference FIR_Hamming(price = derivative, length = length, pedestal = pedestal);
case Hann:
    FIR = reference FIR_Hann(price = derivative, length = length);
}
plot ROC = (length / (2 * Double.Pi)) * (FIR - FIR[1]);
plot ZeroLine = 0;

FIR.SetDefaultColor(GetColor(5));
ROC.SetDefaultColor(GetColor(6));
ZeroLine.SetDefaultColor(GetColor(7));
