# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2021-2023
#

declare lower;

input signalLength = 8;
input rocLength = 1;
input rmsLength = 50;

def derivative = close - close[2];
def rms = Sqrt(Average(Sqr(derivative), rmsLength));
def hardLimiter;
if (2 * derivative / rms > 1) {
    hardLimiter = 1;
} else if (2 * derivative / rms < -1) {
    hardLimiter = -1;
} else {
    hardLimiter = 2 * derivative / rms;
}

plot Timing = Sum(hardLimiter, 4);
plot Signal = Average(Timing, signalLength);
plot ROC = Signal - Signal[rocLength];
plot ZeroLine = 0;

Timing.SetDefaultColor(GetColor(1));
Signal.SetDefaultColor(GetColor(2));
ROC.SetDefaultColor(GetColor(4));
ZeroLine.SetDefaultColor(GetColor(7));
