# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2021-2023
#

declare lower;

input cutoffLength = 30;
input hardLimiterFactor = 10;

def derivative = close - open;
def hardLimiter;
if (hardLimiterFactor * derivative > 1) {
    hardLimiter = 1;
} else if (hardLimiterFactor * derivative < -1) {
    hardLimiter = -1;
} else {
    hardLimiter = hardLimiterFactor * derivative;
}

plot Timing = reference EhlersSuperSmootherFilter(price = hardLimiter, "cutoff length" = cutoffLength);
plot ZeroLine = 0;

Timing.SetDefaultColor(GetColor(1));
ZeroLine.SetDefaultColor(GetColor(7));
