# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup
#wizard text:  body factor:
#wizard input: bodyFactor

input length = 20;
input trendSetup = 3;
input bodyFactor = 0.3;

assert(bodyFactor >= 0, "'body factor' must not be negative: " + bodyFactor);

def BodyHeight = BodyHeight();
def IsShort = BodyHeight < bodyFactor * Average(BodyHeight, length);
def IsLongBlack = IsLongBlack(length);
def IsCloseHigher = close > close[1];

plot Bearish = IsDescending(close, trendSetup)[4] and
    IsLongBlack[4] and
    IsShort[3] and
    IsShort[2] and
    IsShort[1] and
    IsCloseHigher[2] and
    IsCloseHigher[1] and
    close[3] > low[4] and
    close[1] < high[4] and
    IsLongBlack and
    close < close[4];

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(0));
Bearish.SetLineWeight(2);
