# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2012-2023
#

declare lower;

input price = hl2;
input jawLength = 13;
input teethLength = 8;
input lipsLength = 5;
input jawDisplace = -8;
input teethDisplace = -5;
input lipsDisplace = -3;
input averageType = AverageType.WILDERS;

def jaw = WilliamsAlligator(price, jawLength, teethLength, lipsLength, jawDisplace, teethDisplace, lipsDisplace, averageType).Jaw;
def teeth = WilliamsAlligator(price, jawLength, teethLength, lipsLength, jawDisplace, teethDisplace, lipsDisplace, averageType).Teeth;
def lips = WilliamsAlligator(price, jawLength, teethLength, lipsLength, jawDisplace, teethDisplace, lipsDisplace, averageType).Lips;

plot Top = AbsValue(jaw - teeth);
plot Bottom = -AbsValue(teeth - lips);
plot ZeroLine = 0;

Top.SetPaintingStrategy(PaintingStrategy.HISTOGRAM);
Top.DefineColor("Up", Color.UPTICK);
Top.DefineColor("Down", Color.DOWNTICK);
Top.AssignValueColor(if Top > Top[1] then Top.Color("Up") else Top.Color("Down"));
Bottom.SetPaintingStrategy(PaintingStrategy.HISTOGRAM);
Bottom.DefineColor("Up", Color.UPTICK);
Bottom.DefineColor("Down", Color.DOWNTICK);
Bottom.AssignValueColor(if Bottom < Bottom[1] then Bottom.Color("Up") else Bottom.Color("Down"));
ZeroLine.SetDefaultColor(GetColor(0));
