# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard plots
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def BodyMin = Min(open, close);
def BodyMax = Max(open, close);

plot Bearish = IsAscending(close, trendSetup)[1] and
    IsLongWhite(length)[1] and
    IsDoji(length) and
    open[1] < BodyMin and
    close[1] > BodyMax;

plot Bullish = IsDescending(close, trendSetup)[1] and
    IsLongBlack(length)[1] and
    IsDoji(length) and
    close[1] < BodyMin and
    open[1] > BodyMax;

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(5));
Bearish.SetLineWeight(2);
Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(6));
Bullish.SetLineWeight(2);
