# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup
#wizard text:  body factor:
#wizard input: bodyFactor

input length = 20;
input trendSetup = 3;
input bodyFactor = 0.3;

assert(bodyFactor >= 0, "'body factor' must not be negative: " + bodyFactor);

def BodyHeight = BodyHeight();
def AverageBodyHeight = Average(BodyHeight, length);
def IsShort = BodyHeight < bodyFactor * AverageBodyHeight;
def ErrMargin = 0.05 * AverageBodyHeight;
def IsLongWhite = IsLongWhite(length);

plot Bullish = IsAscending(close, trendSetup)[4] and
    IsLongWhite[4] and
    open[4] - low[4] <= ErrMargin and
    high[4] - close[4] <= ErrMargin and
    Lowest(low[1], 3) > close[4] - 0.5 * BodyHeight[4] and
    Highest(high[1], 3) < close[4] + 0.5 * BodyHeight[4] and
    IsShort[3] and
    IsShort[2] and
    IsShort[1] and
    low > Highest(high[1], 4) and
    IsLongWhite;

Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(5));
Bullish.SetLineWeight(2);
