# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def ErrMargin = 0.05 * Average(BodyHeight(), length);
def IsLongBlack = IsLongBlack(length);
def IsCloseLower = close < close[1];
def IsOpenPrevClose = AbsValue(close[1] - open) <= ErrMargin;

plot Bearish = IsAscending(open, trendSetup)[2] and
    IsLongBlack[2] and
    IsLongBlack[1] and
    IsLongBlack and
    IsCloseLower[1] and
    IsCloseLower and
    IsOpenPrevClose[1] and
    IsOpenPrevClose;

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(2));
Bearish.SetLineWeight(2);
