# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length

input length = 20;

def ErrMargin = 0.05 * Average(BodyHeight(), length);
def IsBlackMarubozu = high - open <= ErrMargin and
    close - low <= ErrMargin and
    open > close;
def IsWhiteMarubozu = high - close <= ErrMargin and
    open - low <= ErrMargin and
    open < close;

plot Bearish = IsWhiteMarubozu[1] and
    IsBlackMarubozu and
    high < low[1];

plot Bullish = IsBlackMarubozu[1] and
    IsWhiteMarubozu and
    low > high[1];

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(7));
Bearish.SetLineWeight(2);
Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(8));
Bullish.SetLineWeight(2);
