# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#

declare lower;

input length = 14;
input level_1 = 15.0;
input level_2 = 30.0;
input averageType = AverageType.WILDERS;

plot ADX = ADX(length, averageType);
plot Level1 = level_1;
plot Level2 = level_2;

ADX.DefineColor("Above", Color.GREEN);
ADX.DefineColor("Middle", Color.YELLOW);
ADX.DefineColor("Below", Color.RED);
ADX.AssignValueColor(if ADX > level_2 then ADX.color("Above") else if ADX < level_1 then ADX.color("Below") else ADX.color("Middle"));
Level1.SetDefaultColor(GetColor(7));
Level2.SetDefaultColor(GetColor(7));

alert(ADX crosses above ADX[1], "Indicator turning up", Alert.ONCE);
alert(ADX crosses below ADX[1], "Indicator turning down", Alert.ONCE);
