# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2020-2023
#

declare lower;

input price = close;
input length = 49;

def lProjection = reference TimeSeriesForecast(price = price, length = length, "bar plus" = 1);
def convolutionLength = Floor(Sqrt(length));

plot LeavittConvolutionSlope = reference LinearRegressionSlope(price = lProjection, length = convolutionLength);
plot ZeroLine = 0;

LeavittConvolutionSlope.SetPaintingStrategy(PaintingStrategy.HISTOGRAM);
LeavittConvolutionSlope.DefineColor("Up", Color.UPTICK);
LeavittConvolutionSlope.DefineColor("Down", Color.DOWNTICK);
LeavittConvolutionSlope.AssignValueColor(if LeavittConvolutionSlope >= LeavittConvolutionSlope[1] then LeavittConvolutionSlope.Color("Up") else LeavittConvolutionSlope.Color("Down"));
ZeroLine.SetDefaultColor(GetColor(7));
