# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2020-2023
#

input price = close;
input length = 49;
input bar_plus = 1;

def lProjection = reference TimeSeriesForecast(price = price, length = length, "bar plus" = 1);
def convolutionLength = Floor(Sqrt(length));
def lConvolutionSlope = reference LinearRegressionSlope(price = lProjection, length = convolutionLength);

plot LeavittConvolution = Inertia(lProjection, convolutionLength) + lConvolutionSlope * bar_plus;
LeavittConvolution.SetDefaultColor(GetColor(1));
