# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2023
#

input price = close;
input length = 50;
input lrLength = 50;
input highLowLength = 50;
input multiplier = 3;

def lr = Inertia(price, lrLength);
def dist = AbsValue(price - lr);
def denom = Highest(dist, highLowLength) - Lowest(dist, highLowLength);
def multiplier1 = 2 / (length + 1);
def multiplier2 = if denom == 0 then 1 else multiplier * (dist - Lowest(dist, highLowLength)) / denom;
def alpha = multiplier1 * (1 + multiplier2);
def ma = CompoundValue(1, ma[1] + alpha * (price - ma[1]), Average(price, length));

plot LRAdjEMA = ma;
LRAdjEMA.SetDefaultColor(GetColor(1));
