# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard plots
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup
#wizard text: shadow factor:
#wizard input: shadowFactor

input length = 20;
input trendSetup = 2;
input shadowFactor = 0.75;

assert(shadowFactor >= 0, "'shadow factor' must not be negative: " + shadowFactor);

def ShadowHeight = shadowFactor * Average(BodyHeight(), length);
def IsLongShadows = high - Max(open, close) > ShadowHeight and
    Min(open, close) - low > ShadowHeight;
def IsDoji = IsDoji(length);

plot Bearish = IsAscending(MidBodyVal(), trendSetup) and
    IsDoji and
    IsLongShadows;

plot Bullish = IsDescending(MidBodyVal(), trendSetup) and
    IsDoji and
    IsLongShadows;

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(7));
Bearish.SetLineWeight(2);
Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(8));
Bullish.SetLineWeight(2);
