# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup
#wizard text:  body factor:
#wizard input: bodyFactor

input length = 20;
input trendSetup = 3;
input bodyFactor = 0.3;

assert(bodyFactor >= 0, "'body factor' must not be negative: " + bodyFactor);

def BodyHeight = BodyHeight();
def AverageBodyHeight = Average(BodyHeight, length);
def IsShort = BodyHeight < bodyFactor * AverageBodyHeight;
def ErrMargin = 0.05 * AverageBodyHeight;
def IsLongBlack = IsLongBlack(length);

plot Bearish = IsDescending(close, trendSetup)[4] and
    IsLongBlack[4] and
    high[4] - open[4] <= ErrMargin and
    close[4] - low[4] <= ErrMargin and
    Lowest(low[1], 3) > close[4] - 0.5 * BodyHeight[4] and
    Highest(high[1], 3) < close[4] + 0.5 * BodyHeight[4] and
    IsShort[3] and
    IsShort[2] and
    IsShort[1] and
    high < Lowest(low[1], 4) and
    IsLongBlack;

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(4));
Bearish.SetLineWeight(2);
