# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2010-2023
#

declare lower;

input price = hl2;
input length = 25;

def realPart = fold indexR = 0 to length with accuR = 0 do accuR + getValue(price, indexR, length - 1) * Cos(2 * Double.Pi * indexR / length);
def imagPart = fold indexI = 0 to length with accuI = 0 do accuI + getValue(price, indexI, length - 1) * Sin(2 * Double.Pi * indexI / length);
def phase1 = if AbsValue(realPart) > 0.001 then ATan(imagPart / realPart) else (Double.Pi / 2 * Sign(imagPart));
def phase2 = if realPart < 0 then phase1 + Double.Pi else phase1;
def phase = if phase2 < 0 then phase2 + 2 * Double.Pi else if phase2 > 2 * Double.Pi then phase2 - 2 * Double.Pi else phase2;

plot "Sine Wave" = Cos(phase);
plot "Lead Wave" = Cos(phase + Double.Pi / 4);
plot ZeroLine = 0;

"Sine Wave".SetDefaultColor(GetColor(1));
"Lead Wave".SetDefaultColor(GetColor(8));
ZeroLine.SetDefaultColor(GetColor(5));
