declare no_caching;
declare hide_on_daily;
declare once_per_bar;

def cap = getAggregationPeriod();

def date = getYyyyMmDd();
def rTradingStart = regularTradingStart(date) + 1;
def rTradingEnd = regularTradingEnd(date) + 1;

def barStart = GetTime();
def barEnd = GetTime() + cap;

def barInRTrading = rTradingStart <= barStart and rTradingEnd >= barEnd;
def rTradingStartInMiddleOfBar = rTradingStart > barStart and rTradingStart < barEnd;
def rTradingEndInMiddleOfBar = rTradingEnd > barStart and rTradingEnd < barEnd;

def to;
if (rTradingStartInMiddleOfBar) {
    to = (rTradingStart - barStart)/cap;
} else {
    to = 1;
}

def from;
if (rTradingEndInMiddleOfBar) {
    from = 1 - (barEnd - rTradingEnd)/cap;
} else {
    from = 0;
}

def shouldDraw = (!barInRTrading or rTradingEndInMiddleOfBar or rTradingStartInMiddleOfBar) and (cap < AggregationPeriod.DAY);
SystemAddBarBackgroundRectangle(shouldDraw, from, to, Color.LIGHT_GRAY, 0.31);
