# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup
#wizard text:  body factor:
#wizard input: bodyFactor

input length = 20;
input trendSetup = 3;
input bodyFactor = 0.3;

assert(bodyFactor >= 0, "'body factor' must not be negative: " + bodyFactor);

def IsBlack = open > close;
def IsCloseLower = close < close[1];
def BodyHeight = BodyHeight();
def IsShort = BodyHeight < bodyFactor * Average(BodyHeight, length);

plot Bullish = IsAscending(close, trendSetup)[4] and
    IsLongWhite(length)[4] and
    low[3] > high[4] and
    IsBlack[3] and
    IsCloseLower[2] and
    IsCloseLower[1] and
    IsShort[2] and
    IsShort[1] and
    close[1] > low[4] and
    close > open[3] and
    open < close;

Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(9));
Bullish.SetLineWeight(2);
