# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard plots
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def ErrMargin = 0.05 * Average(BodyHeight(), length);
def IsLongBlack = IsLongBlack(length);
def IsLongWhite = IsLongWhite(length);
def IsCloseEqual = AbsValue(close[1] - close) <= ErrMargin;

plot Bearish = IsAscending(close, trendSetup)[1] and
    IsLongWhite[1] and
    IsLongBlack and
    IsCloseEqual;

plot Bullish = IsDescending(close, trendSetup)[1] and
    IsLongBlack[1] and
    IsLongWhite and
    IsCloseEqual;

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(5));
Bearish.SetLineWeight(2);
Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(6));
Bullish.SetLineWeight(2);
