# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2009-2023
#

#wizard input: crossingType
#wizard text: Inputs: length:
#wizard input: length

input length = 12;
input crossingType = {default "Positive to Negative", "Negative to Positive"};

assert(length > 0, "'length' must be positive: " + length);

def price = close;
def momentum = price - price[length];

plot signal = crosses(momentum, 0, crossingType == CrossingType."Negative to Positive");

signal.DefineColor("Negative to Positive", GetColor(3));
signal.DefineColor("Positive to Negative", GetColor(4));
signal.AssignValueColor(if crossingType == CrossingType."Negative to Positive" then signal.color("Negative to Positive") else signal.color("Positive to Negative"));
signal.SetPaintingStrategy(if crossingType == CrossingType."Negative to Positive"
    then PaintingStrategy.BOOLEAN_ARROW_UP
    else PaintingStrategy.BOOLEAN_ARROW_DOWN);
