# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

input price = close;
input length = 12;

assert(length > 0, "'length' must be positive: " + length);

plot "Momentum, %" = if price[length] <> 0 then 
    price / price[length] * 100 
else 
    0;

"Momentum, %".SetDefaultColor(GetColor(1));

plot MediumLine = 100;
MediumLine.SetDefaultColor(GetColor(0));
