# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2008-2023
#

declare lower;

input price = close;
input momentumLength = 28;
input smaLength = 28;

assert(momentumLength > 0, "'momentum length' must be positive: " + momentumLength);

plot Momentum = price - price[momentumLength];
plot Avg = Average(data = Momentum, length = smaLength);
plot ZeroLine = 0;

Momentum.SetDefaultColor(GetColor(1));
Avg.SetDefaultColor(GetColor(5));
ZeroLine.SetDefaultColor(GetColor(0));
