# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2009-2023
#

#wizard text: MFI crosses
#wizard input: crossingType
#wizard input: threshold
#wizard text: Inputs: length:
#wizard input: length

input length = 14;
input crossingType = {default above, below};
input threshold = 20;

plot signal = crosses(MoneyFlowIndex(length=length).MoneyFlowIndex, threshold, crossingType == CrossingType.above);

signal.DefineColor("Above", GetColor(4));
signal.DefineColor("Below", GetColor(5));
signal.AssignValueColor(if crossingType == CrossingType.above then signal.color("Above") else signal.color("Below"));
signal.SetPaintingStrategy(if crossingType == CrossingType.above
    then PaintingStrategy.BOOLEAN_ARROW_UP
    else PaintingStrategy.BOOLEAN_ARROW_DOWN);
