# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2021-2023
#

declare lower;

input fastLength = 10;
input slowLength = 50;
input multiplier = 1.0;
input averageType = AverageType.EXPONENTIAL;

def slowEma = MovingAverage(averageType, close, slowLength);
def fastEma = MovingAverage(averageType, close, fastLength);
def deviation = multiplier * Sqrt(Average(Sqr(slowEma - fastEma), fastLength));

plot BandWidth = 2 * deviation / slowEma * 100;
plot LowestValue = Lowest(BandWidth, slowLength);

BandWidth.SetDefaultColor(GetColor(2));
LowestValue.SetDefaultColor(GetColor(3));
