# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2021-2023
#

input fastLength = 10;
input slowLength = 50;
input multiplier = 1.0;
input averageType = AverageType.EXPONENTIAL;

def slowEma = MovingAverage(averageType, close, slowLength);
def fastEma = MovingAverage(averageType, close, fastLength);
def deviation = multiplier * Sqrt(Average(Sqr(slowEma - fastEma), fastLength));

plot UpperBand = slowEma + deviation;
plot SlowAverage = slowEma;
plot LowerBand = slowEma - deviation;
plot FastAverage = fastEma;

UpperBand.SetDefaultColor(GetColor(2));
SlowAverage.SetDefaultColor(GetColor(2));
LowerBand.SetDefaultColor(GetColor(2));
FastAverage.SetDefaultColor(GetColor(3));
