# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2020-2023
#

declare lower;

input rsiLength = 14;
input netLength = 14;

def divisor = Sum(AbsValue(close - close[1]), rsiLength);
plot MyRSI = if divisor != 0 then Sum(close - close[1], rsiLength) / divisor else 0;

def num = fold i = 1 to netLength with s do s - ( fold j = 0 to i with s2 do s2 + Sign(GetValue(MyRSI, i, netLength -  1) - GetValue(MyRSI, j, netLength - 2)) );
def den = 0.5 * netLength * (netLength - 1);

plot NET = num / den;
plot ZeroLine = 0;

MyRSI.SetDefaultColor(GetColor(2));
NET.SetDefaultColor(GetColor(1));
ZeroLine.SetDefaultColor(GetColor(7));
