# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2014-2023
#

declare lower;

input price = close;
input cutoffLength = 10;
input roofCutoffLength = 100;
input k = 0.8;

def filter = reference EhlersRoofingFilter(price, cutoffLength, roofCutoffLength).RoofingFilter;
def peak = Max(AbsValue(filter), peak[1] * 0.991);
plot NormRoofingFilter = filter / peak;
plot Quotient = (NormRoofingFilter + k) / (k * NormRoofingFilter + 1);
plot ZeroLine = 0;

NormRoofingFilter.SetDefaultColor(GetColor(1));
Quotient.SetDefaultColor(GetColor(2));
ZeroLine.SetDefaultColor(GetColor(7));
