# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2010-2023
#

declare lower;

input price = close;
input length = 8;
input bxo = 0.2;
input sxo = -0.04;

def num = fold indexN = 1 to length + 1 with accuN do accuN + (price - getValue(price, indexN, length)) / Sqrt(indexN);
def denom = fold indexD = 1 to length + 1 with accuD do accuD + Sqrt(indexD);

plot PM = num / denom;
plot BuyLevel = bxo;
plot SellLevel = sxo;

PM.SetDefaultColor(GetColor(8));
BuyLevel.SetDefaultColor(GetColor(5));
SellLevel.SetDefaultColor(GetColor(1));
