# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2015-2023
#

declare lower;

input price1 = FundamentalType.CLOSE;
input price2 = FundamentalType.CLOSE;
input symbol1 = "SPY";
input symbol2 = "GLD";
input multiplier1 = 1.0;
input multiplier2 = 1.0;
input fastLength = 4;
input slowLength = 40;
input averageType = AverageType.SIMPLE;

plot Ratio = (multiplier1 * Fundamental(price1, symbol1)) / (multiplier2 * Fundamental(price2, symbol2));
plot FastAvg = MovingAverage(averageType, Ratio, fastLength);
plot SlowAvg = MovingAverage(averageType, Ratio, slowLength);

Ratio.DefineColor("Up", Color.UPTICK);
Ratio.DefineColor("Down", Color.DOWNTICK);
Ratio.AssignValueColor(if Ratio >= Ratio[1] then Ratio.Color("Up") else Ratio.Color("Down"));
FastAvg.SetDefaultColor(GetColor(1));
SlowAvg.SetDefaultColor(GetColor(4));
