# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

input length = 14;

def MaxBound = HighestWeighted(high, length, LinearRegressionSlope(price=high, length=length));
def MinBound = LowestWeighted(low, length, LinearRegressionSlope(price=low, length=length));
def diff = MaxBound - MinBound;

plot PROSC = if diff != 0 then 100 * (close - MinBound) / diff else 0;
plot OverBought = 80;
plot OverSold = 20;

PROSC.setDefaultColor(getColor(8));
OverBought.setDefaultColor(getColor(5));
OverSold.setDefaultColor(getColor(5));
