# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2020-2023
#

declare lower;

input correlationWithSecurity = "SPY";
input rsLength = 90;
input averageLength = 3;

def logRatio = Log(close / close(correlationWithSecurity));

plot RelativeStrength = 100 * ExpAverage(logRatio - logRatio[rsLength], averageLength);
plot ZeroLine = 0;

RelativeStrength.SetPaintingStrategy(PaintingStrategy.HISTOGRAM);
RelativeStrength.DefineColor("Positive", Color.UPTICK);
RelativeStrength.DefineColor("Negative", Color.DOWNTICK);
RelativeStrength.AssignValueColor(if RelativeStrength >= 0 then RelativeStrength.Color("Positive") else RelativeStrength.Color("Negative"));
ZeroLine.SetDefaultColor(GetColor(7));
