# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

input length = 10;
input smoothingLength = 3;

def data = TrueRange(high, close, low) / if close > close[1] then (close - close[1]) else 1;
def hData = Highest(data, length);
def lData = Lowest(data, length);
def range = 100 * (data - lData) / if hData > lData then (hData - lData) else 1;
plot RI = ExpAverage(range, smoothingLength);

RI.SetDefaultColor(GetColor(1));
