# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2009-2023
#

#wizard input: crossingType
#wizard text: Inputs: length:
#wizard input: length

input length = 14;
input crossingType = {default "Positive to Negative", "Negative to Positive"};

assert(length > 0, "'length' must be positive: " + length);

def price = close;
def ROC = if price[length] != 0 then (price / price[length] - 1) * 100 else 0;

plot signal = crosses(ROC, 0, crossingType == CrossingType."Negative to Positive");

signal.DefineColor("Negative to Positive", GetColor(8));
signal.DefineColor("Positive to Negative", GetColor(9));
signal.AssignValueColor(if crossingType == CrossingType."Negative to Positive" then signal.color("Negative to Positive") else signal.color("Positive to Negative"));

signal.SetPaintingStrategy(if crossingType == CrossingType."Negative to Positive"
    then PaintingStrategy.BOOLEAN_ARROW_UP
    else PaintingStrategy.BOOLEAN_ARROW_DOWN);
