# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2021-2023
#
declare lower;

input price = close;
input rocLength = 12;
input averageLength = 3;
input rmsLength = 12;
input averageType = AverageType.EXPONENTIAL;

def roc = if price[rocLength] != 0 then (price / price[rocLength] - 1) * 100 else 0;
def rms = Sqrt(Average(Sqr(roc), rmsLength));

plot ROCAvg = MovingAverage(averageType, roc, averageLength);
plot "+RMS" = rms;
plot "-RMS" = -rms;
plot ZeroLine = 0;

ROCAvg.SetDefaultColor(GetColor(5));
"+RMS".SetDefaultColor(GetColor(4));
"-RMS".SetDefaultColor(GetColor(4));
ZeroLine.SetDefaultColor(GetColor(7));
