# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2020-2023
#

declare lower;

input length = 20;

def filter = reference EhlersSuperSmootherFilter("cutoff length" = length / 2);
def slope = (filter[length] - filter) / length;
def average = filter + slope * (length + 1) / 2 - Sum(filter, length)[1] / length;
def rms = Sqrt(ExpAverage(Sqr(average), 50));

plot Reflex = average / rms;
plot ZeroLine = 0;

Reflex.SetDefaultColor(color = Color.DOWNTICK);
ZeroLine.SetDefaultColor(color = Color.GRAY);
