# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2009-2023
#

declare lower;

input length = 6;

def hh = high - high[2];
def ll = low - low[2];

def value = if (high >= Min(low[5], low[6]) or high[2] >= Min(close[7], close[8])) and (low <= Max(high[5], high[6]) or low[2] <= Max(close[7], close[8])) then hh + ll else 0;
def divisor = sum(AbsValue(hh) + AbsValue(ll), length);

plot RRI = if divisor != 0 then 100 * sum(value, length) / divisor else 0;
plot UpperLevel = 50;
plot LowerLevel = -50;

RRI.SetDefaultColor(GetColor(8));
UpperLevel.SetDefaultColor(GetColor(5));
LowerLevel.SetDefaultColor(GetColor(5));
