# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2018-2023
#

declare lower;

input price = close;
input length = 19;

def alpha = 2 / (length + 1);
def coeff = 1 - alpha;
def ema = ExpAverage(price, length);

def re1 = coeff * ema + ema[1];
def re2 = Power(coeff, 2) * re1 + re1[1];
def re3 = Power(coeff, 4) * re2 + re2[1];
def re4 = Power(coeff, 8) * re3 + re3[1];
def re5 = Power(coeff, 16) * re4 + re4[1];
def re6 = Power(coeff, 32) * re5 + re5[1];
def re7 = Power(coeff, 64) * re6 + re6[1];
def re8 = Power(coeff, 128) * re7 + re7[1];

plot ReverseEMA = ema - alpha * re8;
plot ZeroLine = 0;

ReverseEMA.SetDefaultColor(GetColor(5));
ZeroLine.SetDefaultColor(GetColor(7));
