# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup
#wizard text:  body factor:
#wizard input: bodyFactor

input length = 20;
input trendSetup = 3;
input bodyFactor = 0.3;

assert(bodyFactor >= 0, "'body factor' must not be negative: " + bodyFactor);

def BodyHeight = BodyHeight();
def IsShort = BodyHeight <  bodyFactor * Average(BodyHeight, length);
def IsLongWhite = IsLongWhite(length);
def IsCloseLower = close < close[1];

plot Bullish = IsAscending(close, trendSetup)[4] and
    IsLongWhite[4] and
    IsShort[3] and
    IsShort[2] and
    IsShort[1] and
    IsCloseLower[2] and
    IsCloseLower[1] and
    close[3] < high[4] and
    close[1] > low[4] and
    IsLongWhite and
    close > close[4];

Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(3));
Bullish.SetLineWeight(2);
