# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2018-2023
#

declare lower;

input length = 10;
input cutoffLength = 8;

def momentum = close - close[length - 1];
def filter = reference EhlersSuperSmootherFilter(price = momentum, "cutoff length" = cutoffLength);
def rawMyRsi = Sum(filter - filter[1], length) / Sum(AbsValue(filter - filter[1]), length);
def myRsi = if rawMyRsi > 0.999 then 0.999 else if rawMyRsi < -0.999 then -0.999 else rawMyRsi;

plot RocketRSI = 0.5 * Log((1 + myRsi) / (1 - myRsi));
plot ZeroLine = 0;

RocketRSI.SetDefaultColor(GetColor(2));
ZeroLine.SetDefaultColor(GetColor(7));
