# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2013-2023
#

declare lower;

input price = close;
input stdDevLength = 18;
input emaLength = 3;
input numDev = 2.0;

input kPeriod = 30;
input slowingPeriod = 3;

def rainbow = reference RainbowAverage(price, 2, AverageType.SIMPLE);
def zeroLagRainbow = reference DEMA(rainbow, emaLength);
def tema = reference TEMA(zeroLagRainbow, emaLength);
def width = numDev * StDev(tema, stdDevLength);
plot PercentB = (tema + width - WMA(tema, stdDevLength)) / (2 * width) * 100;

def rbc = (rainbow + hlc3) / 2;
def fastK = (rbc - Lowest(low, kPeriod)) / (Highest(high, kPeriod) - Lowest(rbc, kPeriod)) * 100;
plot Stochastic = Average(fastK, slowingPeriod);

plot Lower = 0;
plot Middle = 50;
plot Upper = 100;

PercentB.SetDefaultColor(GetColor(1));
Stochastic.SetDefaultColor(GetColor(2));
Lower.SetDefaultColor(GetColor(8));
Middle.SetDefaultColor(GetColor(8));
Upper.SetDefaultColor(GetColor(8));

Lower.HideTitle();
Middle.HideTitle();
Upper.HideTitle();
