# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2012-2023
#

declare lower;

input length = 75;

assert(length > 0, "'length' must be positive: " + length);

def bull1 = close("XLY") / close("XLY")[length] - 1;
def bull2 = close("XLF") / close("XLF")[length] - 1;
def bear1 = close("XLE") / close("XLE")[length] - 1;
def bear2 = close("XLU") / close("XLU")[length] - 1;
def bear3 = close("XLP") / close("XLP")[length] - 1;

def bull = (bull1 + bull2) / 2;
def bear = (bear1 + bear2 + bear3) / 3;

plot Osc = 100 * (bull - bear);
plot ZeroLine = 0;

Osc.SetDefaultColor(GetColor(4));
Osc.SetPaintingStrategy(PaintingStrategy.HISTOGRAM);
Osc.SetLineWeight(3);
Osc.DefineColor("Positive", Color.UPTICK);
Osc.DefineColor("Negative", Color.DOWNTICK);
Osc.AssignValueColor(if Osc > 0 then Osc.color("Positive") else Osc.color("Negative"));
ZeroLine.SetDefaultColor(GetColor(7));
