# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2012-2023
#

declare lower;

input price = close;
input length = 14;
input longLength = 30;
input percent = 95.0;

assert(percent > 0, "'percent' should be positive: " + percent);

def SP = TEMA(Sign(price - price[1]), length);
plot SZO = 100 * SP / length;

def HLP = Highest(SZO, longLength);
def LLP = Lowest (SZO, longLength);
def pRange = (HLP - LLP) * percent / 100;
plot OverBought = LLP + pRange;
plot OverSold = HLP - pRange;
plot "+7" = 7;
plot "-7" = -7;
plot ZeroLine = 0;

SZO.SetDefaultColor(GetColor(1));
OverBought.SetDefaultColor(GetColor(5));
OverSold.SetDefaultColor(GetColor(6));
"+7".SetDefaultColor(GetColor(7));
"-7".SetDefaultColor(GetColor(7));
ZeroLine.SetDefaultColor(GetColor(4));
