# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard plots
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def ErrMargin = 0.05 * Average(BodyHeight(), length);
def IsLongBlack = IsLongBlack(length);
def IsLongWhite = IsLongWhite(length);
def IsOpenDiffSmall = AbsValue(open[1] - open) <= ErrMargin;

plot Bearish = IsDescending(close, trendSetup)[1] and
    IsLongWhite[1] and
    IsLongBlack and
    IsOpenDiffSmall and
    high - open <= ErrMargin;
plot Bullish = IsAscending(close, trendSetup)[1] and
    IsLongBlack[1] and
    IsLongWhite and
    IsOpenDiffSmall and
    open - low <= ErrMargin;

Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(2));
Bullish.SetLineWeight(2);
Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(3));
Bearish.SetLineWeight(2);
