# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#

input beginDate = 20110101;
input beginTime = 0930;
input mode = {default Fibonacci, Lucas};
input verticalLines = no;

def after = daysFromDate(beginDate) > 0 or (daysFromDate(beginDate) == 0 and secondsFromTime(beginTime) > 0);
def barsSinceStart = if after then barsSinceStart[1] + 1 else 0;

def coeff;
def smallest;
switch (mode) {
case Fibonacci:
    coeff = Sqrt(5);
    smallest = 5;
case Lucas:
    coeff = 1;
    smallest = 3;
}

def n = Floor(log(barsSinceStart * coeff + 0.5) / log((1 + Sqrt(5)) / 2));
def inSeries = n != n[1] and barsSinceStart >= smallest;

plot Series = if inSeries then barsSinceStart else Double.NaN;
Series.SetDefaultColor(GetColor(2));
Series.SetPaintingStrategy(PaintingStrategy.VALUES_ABOVE);

DefineGlobalColor("Series", GetColor(2));
AddVerticalLine(verticalLines and inSeries, barsSinceStart, globalColor("Series"));
