# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup
#wizard text: body factor:
#wizard input: bodyFactor
#wizard text: shadow factor:
#wizard input: shadowFactor

input length = 20;
input trendSetup = 3;
input bodyFactor = 0.3;
input shadowFactor = 2.0;

assert(bodyFactor >= 0, "'body factor' must not be negative: " + bodyFactor);
assert(shadowFactor >= 0, "'shadow factor' must not be negative: " + shadowFactor);

def BodyHeight = BodyHeight();
def AverageBodyHeight = Average(BodyHeight, length);
def ErrMargin = 0.05 * AverageBodyHeight;
def IsShort = BodyHeight < bodyFactor * AverageBodyHeight;

plot Bearish = IsAscending(close, trendSetup)[1] and
    open[1] < close[1] and
    low > high[1] and
    IsShort and
    Min(open, close) - low <= ErrMargin and
    high - Max(open, close) > shadowFactor * BodyHeight;

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(6));
Bearish.SetLineWeight(2);
