# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard plots
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 2;

def ErrMargin = 0.05 * Average(BodyHeight(), length);
def IsWhite = open < close;
def IsAlmostEqual = AbsValue(open - open[1]) <= ErrMargin and
    AbsValue(close - close[1]) <= ErrMargin;

plot Bearish = IsDescending(close, trendSetup)[2] and
    open[2] > close[2] and
    close[1] < close[2] and
    IsWhite[1] and
    IsWhite and
    IsAlmostEqual;

plot Bullish = IsAscending(close, trendSetup)[2] and
    IsWhite[2] and
    open[1] > close[2] and
    IsWhite[1] and
    IsWhite and
    IsAlmostEqual;

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(9));
Bearish.SetLineWeight(2);
Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(0));
Bullish.SetLineWeight(2);
