# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2022-2023
#

declare lower;

input rmsLength = 50;

def derivative = close - close[2];
def rms = Sqrt(Average(Sqr(derivative), rmsLength));
def normDerivative = derivative / rms;
def ift = (Exp(2 * normDerivative) - 1) / (Exp(2 * normDerivative) + 1);
def clip;
if (normDerivative > 1) {
    clip = 1;
} else if (normDerivative < -1) {
    clip = -1;
} else {
    clip = normDerivative;
}

plot SoftLimiter = (ift + 2 * ift[1] + 3 * ift[2] + 3 * ift[3] + 2 * ift[4] + ift[5]) / 12;
plot HardLimiter = (clip + 2 * clip[1] + 3 * clip[2] + 3 * clip[3] + 2 * clip[4] + clip[5]) / 12;
plot ZeroLine = 0;

SoftLimiter.SetDefaultColor(GetColor(2));
HardLimiter.SetDefaultColor(GetColor(1));
ZeroLine.SetDefaultColor(GetColor(7));
