# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#

declare lower;
declare zerobase;

input length = 10;
input paintBars = no;

assert(length > 0, "'length' must be positive: " + length);

def isGreen = close > close[length] and volume > volume[length];
def isBlue = close > close[length] and volume < volume[length];
def isOrange = close < close[length] and volume < volume[length];
def isRed = close < close[length] and volume > volume[length];

plot Vol = volume;

Vol.SetPaintingStrategy(PaintingStrategy.HISTOGRAM);
Vol.SetLineWeight(3);
Vol.DefineColor("Green", Color.GREEN);
Vol.DefineColor("Blue", Color.BLUE);
Vol.DefineColor("Orange", Color.ORANGE);
Vol.DefineColor("Red", Color.RED);
Vol.AssignValueColor(if isGreen then Vol.color("Green") else if isBlue then Vol.color("Blue") else if isOrange then Vol.color("Orange") else if isRed then Vol.color("Red") else Color.LIGHT_GRAY);

DefineGlobalColor("Green", Color.GREEN);
DefineGlobalColor("Blue", Color.BLUE);
DefineGlobalColor("Orange", Color.ORANGE);
DefineGlobalColor("Red", Color.RED);
AssignPriceColor(if !paintBars then Color.CURRENT else if isGreen then globalColor("Green") else if isBlue then globalColor("Blue") else if isOrange then globalColor("Orange") else if isRed then globalColor("Red") else Color.LIGHT_GRAY);
