# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2009-2023
#

input price = close;
input standardErrors = 2;
input fullRange = Yes;
input length = 21;

def regression;
def stdError;
if (fullRange) {
    regression = InertiaAll(price);
    stdError = sterrAll(price);
} else {
    regression = InertiaAll(price, length);
    stdError = sterrAll(price, length);
}

plot UpperBand = regression + standardErrors * stdError;
plot MiddleBand = regression;
plot LowerBand = regression - standardErrors * stdError;

UpperBand.SetDefaultColor(GetColor(1));
MiddleBand.SetDefaultColor(GetColor(1));
LowerBand.SetDefaultColor(GetColor(1));
