# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2018-2023
#

declare lower;

input price = close;
input length = 60;
input averageLength = 100;
input numDev = 0.2;
input stiffnessLevel = 90;

def avg = Average(price, averageLength) - numDev * StDev(price, averageLength);

plot Stiffness = Sum(price > avg, length) / length * 100;
plot Level = stiffnessLevel;

Stiffness.SetPaintingStrategy(PaintingStrategy.HISTOGRAM);
Stiffness.SetDefaultColor(GetColor(5));
Level.SetDefaultColor(GetColor(7));
