# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2009-2023
#

#wizard input: stochasticMode
#wizard text: crosses
#wizard input: crossingType
#wizard text: Inputs: k period:
#wizard input: KPeriod

input KPeriod = 14;
input stochasticMode = {default StochasticFast, StochasticSlow};
input crossingType = {default Overbought, Oversold};

def stochastic;
switch (stochasticMode) {
case StochasticFast:
    stochastic = StochasticFull(KPeriod = KPeriod, slowing_period = 1).FullK;
case StochasticSlow:
    stochastic = StochasticFull(KPeriod = KPeriod, slowing_period = 3).FullK;
}

plot signal;
switch (crossingType) {
case Overbought:
    signal = crosses(stochastic, 80, CrossingDirection.Above);
case Oversold:
    signal = crosses(stochastic, 20, CrossingDirection.Below);
}

signal.DefineColor("OverBought", GetColor(1));
signal.DefineColor("OverSold", GetColor(9));
signal.AssignValueColor(if crossingType == CrossingType.oversold then signal.color("oversold") else signal.color("overbought"));
signal.SetPaintingStrategy(if crossingType == CrossingType.Oversold
      then PaintingStrategy.BOOLEAN_ARROW_UP
      else PaintingStrategy.BOOLEAN_ARROW_DOWN);
