# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2019-2023
#

declare lower;

input stochLength = 45;
input fastLength = 12;
input slowLength = 26;
input signalLength = 9;
input over_bought = 10;
input over_sold = -10;
input averageType = AverageType.EXPONENTIAL;

def hh = Highest(high, stochLength);
def ll = Lowest(low, stochLength);

def fastMA = MovingAverage(averageType, close, fastLength);
def slowMA = MovingAverage(averageType, close, slowLength);

def stochFastMA;
def stochSlowMA;
if (hh - ll) != 0 {
    stochFastMA = (fastMA - ll) / (hh - ll);
    stochSlowMA = (slowMA - ll) / (hh - ll);
} else {
    stochFastMA = 0;
    stochSlowMA = 0;
}

plot StochasticMACD = (stochFastMA - stochSlowMA) * 100;
plot Signal = MovingAverage(averageType, StochasticMACD, signalLength);
plot OverBought = over_bought;
plot ZeroLine = 0;
plot OverSold = over_sold;

StochasticMACD.SetDefaultColor(GetColor(1));
Signal.SetDefaultColor(GetColor(8));
OverBought.SetDefaultColor(GetColor(7));
ZeroLine.SetDefaultColor(GetColor(0));
OverSold.SetDefaultColor(GetColor(7));
