# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard plots
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup

input length = 20;
input trendSetup = 3;

def IsCloseLower = close < close[1];
def IsCloseHigher = close > close[1];
def IsOpenWithinBlackBody = open > close[1] and
    open < open[1];
def IsOpenWithinWhiteBody = open > open[1] and
    open < close[1];
def IsLongBlack = IsLongBlack(length);
def IsLongWhite = IsLongWhite(length);
def ThreeBlackCrows = IsLongBlack[2] and
    IsLongBlack[1] and
    IsLongBlack and
    IsCloseLower[1] and
    IsCloseLower and
    IsOpenWithinBlackBody[1] and
    IsOpenWithinBlackBody;
def ThreeWhiteSoldiers = IsLongWhite[2] and
    IsLongWhite[1] and
    IsLongWhite and
    IsCloseHigher[1] and
    IsCloseHigher and
    IsOpenWithinWhiteBody[1] and
    IsOpenWithinWhiteBody;

plot Bearish = IsDescending(close, trendSetup)[3] and
    ThreeBlackCrows[1] and
    open < low[1] and
    close > open[3];

plot Bullish = IsAscending(close, trendSetup)[3] and
    ThreeWhiteSoldiers[1] and
    open > high[1] and
    close < open[3];

Bearish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_DOWN);
Bearish.SetDefaultColor(GetColor(1));
Bearish.SetLineWeight(2);
Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(2));
Bullish.SetLineWeight(2);
