# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2011-2023
#
#wizard text: Inputs: length:
#wizard input: length
#wizard text: trend setup:
#wizard input: trendSetup
#wizard text: body factor:
#wizard input: bodyFactor
#wizard text: shadow factor:
#wizard input: shadowFactor

input length = 20;
input trendSetup = 3;
input bodyFactor = 0.3;
input shadowFactor = 0.75;

assert(bodyFactor >= 0, "'body factor' must not be negative: " + bodyFactor);
assert(shadowFactor >= 0, "'shadow factor' must not be negative: " + shadowFactor);

def BodyHeight = BodyHeight();
def AverageBodyHeight = Average(BodyHeight, length);
def ErrMargin = 0.05 * AverageBodyHeight;
def LowerShadowHeight = close - low;
def IsLongLowerShadow = LowerShadowHeight > shadowFactor * AverageBodyHeight;
def IsBlackOpeningMarubozu = open > close and
    high - open <= ErrMargin;

plot Bullish = IsDescending(close, trendSetup)[2] and
    IsLongBlack(length)[2] and
    IsLongLowerShadow[2] and
    IsBlackOpeningMarubozu[2] and
    IsBlackOpeningMarubozu[1] and
    low[2] < low[1] and
    high[2] > high[1] and
    BodyHeight[1] < BodyHeight[2] and
    LowerShadowHeight[1] < LowerShadowHeight[2] and
    IsBlackOpeningMarubozu and
    close - low <= ErrMargin and
    low[1] < close and
    high[1] > open and
    BodyHeight < bodyFactor * AverageBodyHeight;

Bullish.SetPaintingStrategy(PaintingStrategy.BOOLEAN_ARROW_UP);
Bullish.SetDefaultColor(GetColor(7));
Bullish.SetLineWeight(2);
