# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

input minTickValue = 0.125;

assert(minTickValue >= 0, "'min tick value' must not be negative: " + minTickValue);

def diff = close - close[1];
def direction = if diff > minTickValue then 1 else if diff < -minTickValue then -1 else direction[1];

plot TVI = TotalSum(direction * volume);
plot ZeroLine = 0;

TVI.SetDefaultColor(GetColor(8));
ZeroLine.SetDefaultColor(GetColor(5));
