# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2020-2023
#

declare lower;

input averageLength = 5;
input tprLength = 20;
input tprAverageLength = 5;
input threshold = 1.0;
input multiplier = 10.0;
input trendDirection = no;
input averageType = AverageType.SIMPLE;

Assert(threshold > 0, "'threshold' must be positive: " + threshold);

def tickSize = TickSize();
def ma = MovingAverage(averageType, close, averageLength);
def maDiff = (ma - ma[1]) / (multiplier * tickSize);
def nDiff = Sum(maDiff > threshold, tprLength) - Sum(maDiff < -threshold, tprLength);

plot TPR = 100 * (if trendDirection then nDiff else AbsValue(nDiff)) / tprLength;
plot TPRAvg = MovingAverage(averageType, TPR, tprAverageLength);
plot ZeroLine = 0;

TPR.SetDefaultColor(GetColor(0));
TPR.Hide();
TPRAvg.SetDefaultColor(GetColor(1));
ZeroLine.SetDefaultColor(GetColor(7));
