# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2023
#

input price = close;
input length = 40;
input highLowLength = 40;
input multiplier = 10.0;

def tr = TrueRange(high, close, low);
def multiplier1 = 2 / (length + 1);
def denom = (Highest(tr, highLowLength) - Lowest(tr, highLowLength));
def multiplier2 = if denom == 0 then 1 else multiplier * (tr - Lowest(tr, highLowLength)) / denom;
def alpha = multiplier1 * (1 + multiplier2);
def ma = CompoundValue(1, ma[1] + alpha * (price - ma[1]), Average(price, length));

plot TRAdjEMA = ma;
TRAdjEMA.SetDefaultColor(GetColor(1));
