# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2015-2023
#

declare lower;

input cutoffLength = 20;

def whiteNoise = (close - close[2]) / 2;
def filter = reference EhlersSuperSmootherFilter(price = whiteNoise, "cutoff length" = cutoffLength);
def peak = if IsNaN(filter) then peak[1] * 0.991 else Max(AbsValue(filter), peak[1] * 0.991);

plot UniversalOsc = filter / peak;
plot ZeroLine = 0;

UniversalOsc.SetDefaultColor(GetColor(1));
ZeroLine.SetDefaultColor(GetColor(7));
