# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2021-2023
#
declare lower;

input length = 30;
input emaLength = 3;
input averageLength = 30;
input factor = 0.1;
input criticalValue = 10;
input averageType = AverageType.SIMPLE;

def atr = WildersAverage(TrueRange(high,  close,  low), length);
def diff = hlc3 - hlc3[1];
def vp = Sum(if diff > factor * atr then volume else 0, length);
def vn = Sum(if diff < -factor * atr then volume else 0, length);

plot VPN = ExpAverage(100 * (vp - vn) / Sum(volume, length), emaLength);
plot VPNAvg = MovingAverage(averageType, VPN, averageLength);
plot CriticalLevel = criticalValue;

VPN.DefineColor("Above", Color.UPTICK);
VPN.DefineColor("Below", Color.DOWNTICK);
VPN.AssignValueColor(if VPN > CriticalLevel then VPN.Color("Above") else VPN.Color("Below"));
VPNAvg.SetDefaultColor(GetColor(7));
CriticalLevel.SetDefaultColor(GetColor(1));
