# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2013-2023
#

declare lower;

input price = close;
input length = 21;

Assert(length > 0, "'length' must be positive: " + length);

def dailyReturn = (price - price[1]) / ( (price + price[1]) / 2 );
def histVolatility = StDev(dailyReturn, length);

plot VolatilitySwitch = ( fold i = 0 to length with count do count + if histVolatility[i] <= histVolatility then 1 else 0 ) / length;
plot MidLine = 0.5;

VolatilitySwitch.DefineColor("Trending", Color.UPTICK);
VolatilitySwitch.DefineColor("Mean-Reverting", Color.DOWNTICK);
VolatilitySwitch.AssignValueColor(if VolatilitySwitch >= MidLine then VolatilitySwitch.Color("Mean-Reverting") else VolatilitySwitch.Color("Trending"));
MidLine.SetDefaultColor(GetColor(7));
