# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

input fastLength = 14;
input slowLength = 28;
input colorNormLength = 14;
input diffType = {default points, percent};

plot VolumeOsc;
switch (diffType) {
case points:
    VolumeOsc = Average(volume, fastLength) - Average(volume, slowLength);
case percent:
    VolumeOsc = (Average(volume, fastLength) - Average(volume, slowLength)) / Average(volume, slowLength);
}
plot ZeroLine = 0;

VolumeOsc.DefineColor("Highest", Color.YELLOW);
VolumeOsc.DefineColor("Lowest", Color.LIGHT_RED);
VolumeOsc.AssignNormGradientColor(colorNormLength, VolumeOsc.color("Lowest"), VolumeOsc.color("Highest"));
ZeroLine.SetDefaultColor(GetColor(8));
