# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2007-2023
#

declare lower;

input length = 14;
input colorNormLength = 14;

assert(length > 0, "'length' must be positive: " + length);

plot VolROC = if volume[length] <> 0 then (volume / volume[length] - 1) * 100 else 0;
plot ZeroLine = 0;

VolROC.DefineColor("Highest", Color.YELLOW);
VolROC.DefineColor("Lowest", Color.LIGHT_RED);
VolROC.AssignNormGradientColor(colorNormLength, VolROC.color("Lowest"), VolROC.color("Highest"));
ZeroLine.SetDefaultColor(GetColor(5));
