# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2019-2023
#

declare lower;

input length = 20;
input predictionLength = 3;
input bandwidth = 0.25;

Assert(length > 0, "'length' must be positive: " + length);

def order = 3 * predictionLength;

def bandpass = reference BandpassFilter(length = length, bandwidth = bandwidth, harmonic = 1);
def voss = ((3 + order) / 2) * bandpass - ((1 + order) / 2) * WMA(voss, order)[1];

plot BandpassFilter = bandpass;
plot VossFilter = voss;

BandpassFilter.SetDefaultColor(GetColor(2));
VossFilter.SetDefaultColor(GetColor(1));
