# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2018-2023
#

declare lower;

input weeklyFastLength = 60;
input weeklySlowLength = 130;
input dailyFastLength = 12;
input dailySlowLength = 26;

plot WeeklyMACD = ExpAverage(close, weeklyFastLength) - ExpAverage(close, weeklySlowLength);
plot DailyMACD = ExpAverage(close, dailyFastLength) - ExpAverage(close, dailySlowLength);
plot WeeklyAndDailyMACD = DailyMACD + WeeklyMACD;
plot ZeroLine = 0;

WeeklyMACD.SetDefaultColor(GetColor(2));
DailyMACD.SetDefaultColor(GetColor(8));
DailyMACD.Hide();
WeeklyAndDailyMACD.SetDefaultColor(GetColor(1));
ZeroLine.SetDefaultColor(GetColor(7));
