# @new
# @reference
#
# TD Ameritrade IP Company, Inc. (c) 2018-2023
#

declare lower;

input weeklyFastLength = 60;
input weeklySlowLength = 130;
input dailyFastLength = 12;
input dailySlowLength = 26;

def weeklySlowEMA = ExpAverage(close, weeklySlowLength);

plot WeeklyPPO = 100 * (ExpAverage(close, weeklyFastLength) - weeklySlowEMA) / weeklySlowEMA;
plot DailyPPO = 100 * (ExpAverage(close, dailyFastLength) - ExpAverage(close, dailySlowLength)) / weeklySlowEMA;
plot WeeklyAndDailyPPO = DailyPPO + WeeklyPPO;
plot ZeroLine = 0;

WeeklyPPO.SetDefaultColor(GetColor(2));
DailyPPO.SetDefaultColor(GetColor(8));
DailyPPO.Hide();
WeeklyAndDailyPPO.SetDefaultColor(GetColor(1));
ZeroLine.SetDefaultColor(GetColor(7));
